#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dbconnections.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dbconnections.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlistbox.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a DatabaseConnectionBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
DatabaseConnectionBase::DatabaseConnectionBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DatabaseConnectionBase" );
    setSizeGripEnabled( TRUE );
    DatabaseConnectionBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "DatabaseConnectionBaseLayout"); 

    buttonNew = new TQPushButton( this, "buttonNew" );

    DatabaseConnectionBaseLayout->addWidget( buttonNew, 0, 1 );

    listConnections = new TQListBox( this, "listConnections" );

    DatabaseConnectionBaseLayout->addMultiCellWidget( listConnections, 0, 4, 0, 0 );

    buttonDelete = new TQPushButton( this, "buttonDelete" );

    DatabaseConnectionBaseLayout->addWidget( buttonDelete, 1, 1 );

    Layout5 = new TQHBoxLayout( 0, 0, 6, "Layout5"); 

    buttonHelp = new TQPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout5->addWidget( buttonHelp );
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout5->addItem( Horizontal_Spacing2 );

    buttonClose = new TQPushButton( this, "buttonClose" );
    buttonClose->setAutoDefault( TRUE );
    Layout5->addWidget( buttonClose );

    DatabaseConnectionBaseLayout->addMultiCellLayout( Layout5, 5, 5, 0, 2 );
    Spacer1 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    DatabaseConnectionBaseLayout->addMultiCell( Spacer1, 2, 4, 1, 1 );

    grp = new TQGroupBox( this, "grp" );
    grp->setColumnLayout(0, TQt::Vertical );
    grp->layout()->setSpacing( 6 );
    grp->layout()->setMargin( 11 );
    grpLayout = new TQGridLayout( grp->layout() );
    grpLayout->setAlignment( TQt::AlignTop );
    Spacer3 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    grpLayout->addItem( Spacer3, 0, 0 );

    DatabaseConnectionBaseLayout->addMultiCellWidget( grp, 0, 2, 2, 2 );

    Layout4 = new TQHBoxLayout( 0, 0, 6, "Layout4"); 
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout4->addItem( Spacer4 );

    buttonConnect = new TQPushButton( this, "buttonConnect" );
    buttonConnect->setEnabled( FALSE );
    Layout4->addWidget( buttonConnect );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout4->addItem( Spacer5 );

    DatabaseConnectionBaseLayout->addLayout( Layout4, 3, 2 );
    Spacer6 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    DatabaseConnectionBaseLayout->addItem( Spacer6, 4, 2 );
    languageChange();
    resize( TQSize(512, 309).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonClose, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonNew, TQ_SIGNAL( clicked() ), this, TQ_SLOT( newConnection() ) );
    connect( buttonDelete, TQ_SIGNAL( clicked() ), this, TQ_SLOT( deleteConnection() ) );
    connect( buttonConnect, TQ_SIGNAL( clicked() ), this, TQ_SLOT( doConnect() ) );
    connect( listConnections, TQ_SIGNAL( highlighted(const TQString&) ), this, TQ_SLOT( currentConnectionChanged(const TQString&) ) );
    connect( listConnections, TQ_SIGNAL( selected(const TQString&) ), this, TQ_SLOT( currentConnectionChanged(const TQString&) ) );

    // tab order
    setTabOrder( buttonClose, listConnections );
    setTabOrder( listConnections, buttonNew );
    setTabOrder( buttonNew, buttonDelete );
    setTabOrder( buttonDelete, buttonConnect );
    setTabOrder( buttonConnect, buttonHelp );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
DatabaseConnectionBase::~DatabaseConnectionBase()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DatabaseConnectionBase::languageChange()
{
    setCaption( tr2i18n( "Edit Database Connections" ) );
    buttonNew->setText( tr2i18n( "&New Connection" ) );
    buttonDelete->setText( tr2i18n( "&Delete Connection" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonClose->setText( tr2i18n( "&Close" ) );
    TQWhatsThis::add( buttonClose, tr2i18n( "Close the dialog and discard any changes." ) );
    grp->setTitle( tr2i18n( "Connection" ) );
    buttonConnect->setText( tr2i18n( "Connec&t" ) );
}

void DatabaseConnectionBase::init()
{
}

void DatabaseConnectionBase::destroy()
{
}

void DatabaseConnectionBase::currentConnectionChanged(const TQString&)
{
    tqWarning( "DatabaseConnectionBase::currentConnectionChanged(const TQString&): Not implemented yet" );
}

void DatabaseConnectionBase::deleteConnection()
{
    tqWarning( "DatabaseConnectionBase::deleteConnection(): Not implemented yet" );
}

void DatabaseConnectionBase::newConnection()
{
    tqWarning( "DatabaseConnectionBase::newConnection(): Not implemented yet" );
}

void DatabaseConnectionBase::connectionNameChanged(const TQString&)
{
    tqWarning( "DatabaseConnectionBase::connectionNameChanged(const TQString&): Not implemented yet" );
}

void DatabaseConnectionBase::doConnect()
{
    tqWarning( "DatabaseConnectionBase::doConnect(): Not implemented yet" );
}

/****************************************************************************
** DatabaseConnectionBase meta object code from reading C++ file 'dbconnections.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "dbconnections.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DatabaseConnectionBase::className() const
{
    return "DatabaseConnectionBase";
}

TQMetaObject *DatabaseConnectionBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DatabaseConnectionBase( "DatabaseConnectionBase", &DatabaseConnectionBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString DatabaseConnectionBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DatabaseConnectionBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString DatabaseConnectionBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DatabaseConnectionBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* DatabaseConnectionBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"init", 0, 0 };
    static const TQUMethod slot_2 = {"destroy", 0, 0 };
    static const TQUParameter param_slot_3[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_3 = {"currentConnectionChanged", 1, param_slot_3 };
    static const TQUMethod slot_4 = {"deleteConnection", 0, 0 };
    static const TQUMethod slot_5 = {"newConnection", 0, 0 };
    static const TQUParameter param_slot_6[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_6 = {"connectionNameChanged", 1, param_slot_6 };
    static const TQUMethod slot_7 = {"doConnect", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "init()", &slot_1, TQMetaData::Protected },
	{ "destroy()", &slot_2, TQMetaData::Protected },
	{ "currentConnectionChanged(const TQString&)", &slot_3, TQMetaData::Protected },
	{ "deleteConnection()", &slot_4, TQMetaData::Protected },
	{ "newConnection()", &slot_5, TQMetaData::Protected },
	{ "connectionNameChanged(const TQString&)", &slot_6, TQMetaData::Protected },
	{ "doConnect()", &slot_7, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DatabaseConnectionBase", parentObject,
	slot_tbl, 8,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_DatabaseConnectionBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* DatabaseConnectionBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DatabaseConnectionBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool DatabaseConnectionBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: init(); break;
    case 2: destroy(); break;
    case 3: currentConnectionChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 4: deleteConnection(); break;
    case 5: newConnection(); break;
    case 6: connectionNameChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 7: doConnect(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DatabaseConnectionBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool DatabaseConnectionBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool DatabaseConnectionBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
