#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'listboxeditor.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "listboxeditor.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqlistbox.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>

#include "myiconloader.h"
/*
 *  Constructs a ListBoxEditorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
ListBoxEditorBase::ListBoxEditorBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ListBoxEditorBase" );
    setSizeGripEnabled( TRUE );
    ListBoxEditorBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "ListBoxEditorBaseLayout"); 

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    helpButton = new TQPushButton( this, "helpButton" );
    helpButton->setAutoDefault( TRUE );
    Layout1->addWidget( helpButton );
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonApply = new TQPushButton( this, "buttonApply" );
    buttonApply->setAutoDefault( TRUE );
    Layout1->addWidget( buttonApply );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    ListBoxEditorBaseLayout->addMultiCellLayout( Layout1, 5, 5, 0, 2 );

    preview = new TQListBox( this, "preview" );

    ListBoxEditorBaseLayout->addMultiCellWidget( preview, 0, 4, 0, 0 );

    GroupBox1 = new TQGroupBox( this, "GroupBox1" );
    GroupBox1->setColumnLayout(0, TQt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new TQGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( TQt::AlignTop );

    Label2 = new TQLabel( GroupBox1, "Label2" );

    GroupBox1Layout->addWidget( Label2, 1, 0 );

    itemPixmap = new TQLabel( GroupBox1, "itemPixmap" );

    GroupBox1Layout->addWidget( itemPixmap, 1, 1 );

    itemDeletePixmap = new TQPushButton( GroupBox1, "itemDeletePixmap" );
    itemDeletePixmap->setMaximumSize( TQSize( 30, 22 ) );
    itemDeletePixmap->setPixmap( BarIcon2( "designer_s_editcut.png" ) );

    GroupBox1Layout->addWidget( itemDeletePixmap, 1, 2 );

    itemChoosePixmap = new TQPushButton( GroupBox1, "itemChoosePixmap" );
    itemChoosePixmap->setMaximumSize( TQSize( 30, 22 ) );

    GroupBox1Layout->addWidget( itemChoosePixmap, 1, 3 );

    Label1 = new TQLabel( GroupBox1, "Label1" );

    GroupBox1Layout->addWidget( Label1, 0, 0 );

    itemText = new KLineEdit( GroupBox1, "itemText" );
    itemText->setMinimumSize( TQSize( 0, 0 ) );

    GroupBox1Layout->addMultiCellWidget( itemText, 0, 0, 1, 3 );

    ListBoxEditorBaseLayout->addMultiCellWidget( GroupBox1, 0, 4, 2, 2 );

    itemNew = new TQPushButton( this, "itemNew" );

    ListBoxEditorBaseLayout->addWidget( itemNew, 0, 1 );

    itemDelete = new TQPushButton( this, "itemDelete" );

    ListBoxEditorBaseLayout->addWidget( itemDelete, 1, 1 );
    Vertical_Spacing1 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ListBoxEditorBaseLayout->addItem( Vertical_Spacing1, 2, 1 );

    itemUp = new TQPushButton( this, "itemUp" );
    itemUp->setPixmap( BarIcon2( "designer_s_up.png" ) );

    ListBoxEditorBaseLayout->addWidget( itemUp, 3, 1 );

    itemDown = new TQPushButton( this, "itemDown" );
    itemDown->setPixmap( BarIcon2( "designer_s_down.png" ) );

    ListBoxEditorBaseLayout->addWidget( itemDown, 4, 1 );
    languageChange();
    resize( TQSize(482, 229).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( itemNew, TQ_SIGNAL( clicked() ), this, TQ_SLOT( insertNewItem() ) );
    connect( itemDelete, TQ_SIGNAL( clicked() ), this, TQ_SLOT( deleteCurrentItem() ) );
    connect( itemText, TQ_SIGNAL( textChanged( const TQString & ) ), this, TQ_SLOT( currentTextChanged(const TQString&) ) );
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( okClicked() ) );
    connect( buttonApply, TQ_SIGNAL( clicked() ), this, TQ_SLOT( applyClicked() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( cancelClicked() ) );
    connect( itemChoosePixmap, TQ_SIGNAL( clicked() ), this, TQ_SLOT( choosePixmap() ) );
    connect( itemDeletePixmap, TQ_SIGNAL( clicked() ), this, TQ_SLOT( deletePixmap() ) );
    connect( itemUp, TQ_SIGNAL( clicked() ), this, TQ_SLOT( moveItemUp() ) );
    connect( itemDown, TQ_SIGNAL( clicked() ), this, TQ_SLOT( moveItemDown() ) );
    connect( preview, TQ_SIGNAL( selectionChanged(TQListBoxItem*) ), this, TQ_SLOT( currentItemChanged(TQListBoxItem*) ) );
    connect( preview, TQ_SIGNAL( currentChanged( TQListBoxItem * ) ), this, TQ_SLOT( currentItemChanged(TQListBoxItem*) ) );

    // tab order
    setTabOrder( buttonOk, buttonCancel );
    setTabOrder( buttonCancel, preview );
    setTabOrder( preview, itemNew );
    setTabOrder( itemNew, itemDelete );
    setTabOrder( itemDelete, itemUp );
    setTabOrder( itemUp, itemDown );
    setTabOrder( itemDown, itemText );
    setTabOrder( itemText, itemDeletePixmap );
    setTabOrder( itemDeletePixmap, itemChoosePixmap );
    setTabOrder( itemChoosePixmap, helpButton );
    setTabOrder( helpButton, buttonApply );

    // buddies
    Label2->setBuddy( itemChoosePixmap );
    Label1->setBuddy( itemText );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
ListBoxEditorBase::~ListBoxEditorBase()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ListBoxEditorBase::languageChange()
{
    setCaption( tr2i18n( "Edit Listbox" ) );
    TQWhatsThis::add( this, tr2i18n( "<b>Edit Listbox</b><p>Add, edit or delete items in the listbox.</p><p>Click the <b>New Item</b>-button to create a new listbox entry, then enter text and choose a pixmap.</p><p>Select an item from the list and click the <b>Delete Item</b>-button to remove the item from the list.</p>" ) );
    helpButton->setText( tr2i18n( "&Help" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    TQWhatsThis::add( buttonOk, tr2i18n( "Close the dialog and apply all the changes." ) );
    buttonApply->setText( tr2i18n( "&Apply" ) );
    TQWhatsThis::add( buttonApply, tr2i18n( "Apply all changes." ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    TQWhatsThis::add( buttonCancel, tr2i18n( "Close the dialog and discard any changes." ) );
    TQToolTip::add( preview, tr2i18n( "Delete Item" ) );
    TQWhatsThis::add( preview, tr2i18n( "The list of items." ) );
    GroupBox1->setTitle( tr2i18n( "&Item Properties" ) );
    Label2->setText( tr2i18n( "&Pixmap:" ) );
    itemPixmap->setText( tr2i18n( "Label4" ) );
    itemDeletePixmap->setText( TQString::null );
    TQToolTip::add( itemDeletePixmap, tr2i18n( "Delete Pixmap" ) );
    TQWhatsThis::add( itemDeletePixmap, tr2i18n( "Delete the selected item's pixmap." ) );
    itemChoosePixmap->setText( tr2i18n( "..." ) );
    TQToolTip::add( itemChoosePixmap, tr2i18n( "Select a Pixmap" ) );
    TQWhatsThis::add( itemChoosePixmap, tr2i18n( "Choose a pixmap file for the selected item." ) );
    Label1->setText( tr2i18n( "&Text:" ) );
    TQToolTip::add( itemText, tr2i18n( "Change text" ) );
    TQWhatsThis::add( itemText, tr2i18n( "Change the selected item's text." ) );
    itemNew->setText( tr2i18n( "&New Item" ) );
    TQToolTip::add( itemNew, tr2i18n( "Add an item" ) );
    TQWhatsThis::add( itemNew, tr2i18n( "<b>Add a new item.</b><p>New items are appended to the list.</p>" ) );
    itemDelete->setText( tr2i18n( "&Delete Item" ) );
    TQToolTip::add( itemDelete, tr2i18n( "Delete Item" ) );
    TQWhatsThis::add( itemDelete, tr2i18n( "Delete the selected item" ) );
    itemUp->setText( TQString::null );
    TQToolTip::add( itemUp, tr2i18n( "Move up" ) );
    TQWhatsThis::add( itemUp, tr2i18n( "Moves the selected item up." ) );
    itemDown->setText( TQString::null );
    TQToolTip::add( itemDown, tr2i18n( "Move down" ) );
    TQWhatsThis::add( itemDown, tr2i18n( "Move the selected item down." ) );
}

void ListBoxEditorBase::init()
{
}

void ListBoxEditorBase::destroy()
{
}

void ListBoxEditorBase::insertNewItem()
{
    tqWarning( "ListBoxEditorBase::insertNewItem(): Not implemented yet" );
}

void ListBoxEditorBase::deleteCurrentItem()
{
    tqWarning( "ListBoxEditorBase::deleteCurrentItem(): Not implemented yet" );
}

void ListBoxEditorBase::currentItemChanged(TQListBoxItem*)
{
    tqWarning( "ListBoxEditorBase::currentItemChanged(TQListBoxItem*): Not implemented yet" );
}

void ListBoxEditorBase::currentTextChanged(const TQString&)
{
    tqWarning( "ListBoxEditorBase::currentTextChanged(const TQString&): Not implemented yet" );
}

void ListBoxEditorBase::okClicked()
{
    tqWarning( "ListBoxEditorBase::okClicked(): Not implemented yet" );
}

void ListBoxEditorBase::cancelClicked()
{
    tqWarning( "ListBoxEditorBase::cancelClicked(): Not implemented yet" );
}

void ListBoxEditorBase::applyClicked()
{
    tqWarning( "ListBoxEditorBase::applyClicked(): Not implemented yet" );
}

void ListBoxEditorBase::choosePixmap()
{
    tqWarning( "ListBoxEditorBase::choosePixmap(): Not implemented yet" );
}

void ListBoxEditorBase::deletePixmap()
{
    tqWarning( "ListBoxEditorBase::deletePixmap(): Not implemented yet" );
}

void ListBoxEditorBase::moveItemUp()
{
    tqWarning( "ListBoxEditorBase::moveItemUp(): Not implemented yet" );
}

void ListBoxEditorBase::moveItemDown()
{
    tqWarning( "ListBoxEditorBase::moveItemDown(): Not implemented yet" );
}

/****************************************************************************
** ListBoxEditorBase meta object code from reading C++ file 'listboxeditor.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "listboxeditor.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ListBoxEditorBase::className() const
{
    return "ListBoxEditorBase";
}

TQMetaObject *ListBoxEditorBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ListBoxEditorBase( "ListBoxEditorBase", &ListBoxEditorBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ListBoxEditorBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ListBoxEditorBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ListBoxEditorBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ListBoxEditorBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ListBoxEditorBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"init", 0, 0 };
    static const TQUMethod slot_2 = {"destroy", 0, 0 };
    static const TQUMethod slot_3 = {"insertNewItem", 0, 0 };
    static const TQUMethod slot_4 = {"deleteCurrentItem", 0, 0 };
    static const TQUParameter param_slot_5[] = {
	{ 0, &static_QUType_ptr, "TQListBoxItem", TQUParameter::In }
    };
    static const TQUMethod slot_5 = {"currentItemChanged", 1, param_slot_5 };
    static const TQUParameter param_slot_6[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_6 = {"currentTextChanged", 1, param_slot_6 };
    static const TQUMethod slot_7 = {"okClicked", 0, 0 };
    static const TQUMethod slot_8 = {"cancelClicked", 0, 0 };
    static const TQUMethod slot_9 = {"applyClicked", 0, 0 };
    static const TQUMethod slot_10 = {"choosePixmap", 0, 0 };
    static const TQUMethod slot_11 = {"deletePixmap", 0, 0 };
    static const TQUMethod slot_12 = {"moveItemUp", 0, 0 };
    static const TQUMethod slot_13 = {"moveItemDown", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "init()", &slot_1, TQMetaData::Protected },
	{ "destroy()", &slot_2, TQMetaData::Protected },
	{ "insertNewItem()", &slot_3, TQMetaData::Protected },
	{ "deleteCurrentItem()", &slot_4, TQMetaData::Protected },
	{ "currentItemChanged(TQListBoxItem*)", &slot_5, TQMetaData::Protected },
	{ "currentTextChanged(const TQString&)", &slot_6, TQMetaData::Protected },
	{ "okClicked()", &slot_7, TQMetaData::Protected },
	{ "cancelClicked()", &slot_8, TQMetaData::Protected },
	{ "applyClicked()", &slot_9, TQMetaData::Protected },
	{ "choosePixmap()", &slot_10, TQMetaData::Protected },
	{ "deletePixmap()", &slot_11, TQMetaData::Protected },
	{ "moveItemUp()", &slot_12, TQMetaData::Protected },
	{ "moveItemDown()", &slot_13, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ListBoxEditorBase", parentObject,
	slot_tbl, 14,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ListBoxEditorBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ListBoxEditorBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ListBoxEditorBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool ListBoxEditorBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: init(); break;
    case 2: destroy(); break;
    case 3: insertNewItem(); break;
    case 4: deleteCurrentItem(); break;
    case 5: currentItemChanged((TQListBoxItem*)static_QUType_ptr.get(_o+1)); break;
    case 6: currentTextChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 7: okClicked(); break;
    case 8: cancelClicked(); break;
    case 9: applyClicked(); break;
    case 10: choosePixmap(); break;
    case 11: deletePixmap(); break;
    case 12: moveItemUp(); break;
    case 13: moveItemDown(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ListBoxEditorBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ListBoxEditorBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool ListBoxEditorBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
