#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'multilineeditor.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "multilineeditor.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqaction.h>
#include <ntqmenubar.h>
#include <ntqpopupmenu.h>
#include <ntqtoolbar.h>

/*
 *  Constructs a MultiLineEditorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
MultiLineEditorBase::MultiLineEditorBase( TQWidget* parent, const char* name, WFlags fl )
    : TQMainWindow( parent, name, fl )
{
    (void)statusBar();
    if ( !name )
	setName( "MultiLineEditorBase" );
    setCentralWidget( new TQWidget( this, "qt_central_widget" ) );
    MultiLineEditorBaseLayout = new TQHBoxLayout( centralWidget(), 11, 6, "MultiLineEditorBaseLayout"); 

    Layout4 = new TQHBoxLayout( 0, 0, 6, "Layout4"); 

    Layout3 = new TQVBoxLayout( 0, 0, 6, "Layout3"); 

    OkButton = new TQPushButton( centralWidget(), "OkButton" );
    OkButton->setOn( FALSE );
    OkButton->setAutoDefault( TRUE );
    OkButton->setDefault( TRUE );
    Layout3->addWidget( OkButton );

    applyButton = new TQPushButton( centralWidget(), "applyButton" );
    Layout3->addWidget( applyButton );

    cancelButton = new TQPushButton( centralWidget(), "cancelButton" );
    Layout3->addWidget( cancelButton );
    Spacer3 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout3->addItem( Spacer3 );

    helpButton = new TQPushButton( centralWidget(), "helpButton" );
    Layout3->addWidget( helpButton );
    Layout4->addLayout( Layout3 );
    MultiLineEditorBaseLayout->addLayout( Layout4 );

    // toolbars


    // menubar
    menuBar = new TQMenuBar( this, "menuBar" );


    languageChange();
    resize( TQSize(598, 307).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( OkButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( okClicked() ) );
    connect( applyButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( applyClicked() ) );
    connect( cancelButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( cancelClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MultiLineEditorBase::~MultiLineEditorBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MultiLineEditorBase::languageChange()
{
    setCaption( tr2i18n( "Edit Text" ) );
    TQWhatsThis::add( this, tr2i18n( "<b>Multiline Edit</b><p>This is a simple richtext editor. To improve its usability it provides toolbar items for the most common html tags: by clicking on a toolbar item, the corresponding tag will be written to the editor, where you can insert your text. If you have already written some text and want to format it, hilight it and click on the desired button.  To improve visualization this editor also supports a simple html-syntax-highlighting scheme." ) );
    OkButton->setText( tr2i18n( "&OK" ) );
    applyButton->setText( tr2i18n( "&Apply" ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    helpButton->setText( tr2i18n( "&Help" ) );
}

void MultiLineEditorBase::applyClicked()
{
    tqWarning( "MultiLineEditorBase::applyClicked(): Not implemented yet" );
}

void MultiLineEditorBase::okClicked()
{
    tqWarning( "MultiLineEditorBase::okClicked(): Not implemented yet" );
}

void MultiLineEditorBase::cancelClicked()
{
    tqWarning( "MultiLineEditorBase::cancelClicked(): Not implemented yet" );
}

/****************************************************************************
** MultiLineEditorBase meta object code from reading C++ file 'multilineeditor.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "multilineeditor.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *MultiLineEditorBase::className() const
{
    return "MultiLineEditorBase";
}

TQMetaObject *MultiLineEditorBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_MultiLineEditorBase( "MultiLineEditorBase", &MultiLineEditorBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString MultiLineEditorBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MultiLineEditorBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString MultiLineEditorBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MultiLineEditorBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* MultiLineEditorBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQMainWindow::staticMetaObject();
    static const TQUMethod slot_0 = {"applyClicked", 0, 0 };
    static const TQUMethod slot_1 = {"okClicked", 0, 0 };
    static const TQUMethod slot_2 = {"cancelClicked", 0, 0 };
    static const TQUMethod slot_3 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "applyClicked()", &slot_0, TQMetaData::Public },
	{ "okClicked()", &slot_1, TQMetaData::Public },
	{ "cancelClicked()", &slot_2, TQMetaData::Public },
	{ "languageChange()", &slot_3, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"MultiLineEditorBase", parentObject,
	slot_tbl, 4,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_MultiLineEditorBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* MultiLineEditorBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "MultiLineEditorBase" ) )
	return this;
    return TQMainWindow::tqt_cast( clname );
}

bool MultiLineEditorBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: applyClicked(); break;
    case 1: okClicked(); break;
    case 2: cancelClicked(); break;
    case 3: languageChange(); break;
    default:
	return TQMainWindow::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool MultiLineEditorBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQMainWindow::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool MultiLineEditorBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQMainWindow::tqt_property( id, f, v);
}

bool MultiLineEditorBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
