#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'projectsettings.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "projectsettings.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqwidget.h>
#include <ntqlabel.h>
#include <ntqtoolbutton.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ProjectSettingsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
ProjectSettingsBase::ProjectSettingsBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ProjectSettingsBase" );
    setSizeGripEnabled( TRUE );
    ProjectSettingsBaseLayout = new TQVBoxLayout( this, 11, 6, "ProjectSettingsBaseLayout"); 

    tabWidget = new TQTabWidget( this, "tabWidget" );

    tabSettings = new TQWidget( tabWidget, "tabSettings" );
    tabSettingsLayout = new TQGridLayout( tabSettings, 1, 1, 11, 6, "tabSettingsLayout"); 

    TextLabel1_2 = new TQLabel( tabSettings, "TextLabel1_2" );

    tabSettingsLayout->addWidget( TextLabel1_2, 0, 0 );

    TextLabel1_3 = new TQLabel( tabSettings, "TextLabel1_3" );

    tabSettingsLayout->addWidget( TextLabel1_3, 1, 0 );

    buttonDatabaseFile_2 = new TQToolButton( tabSettings, "buttonDatabaseFile_2" );

    tabSettingsLayout->addWidget( buttonDatabaseFile_2, 2, 2 );

    editDatabaseFile = new KLineEdit( tabSettings, "editDatabaseFile" );

    tabSettingsLayout->addWidget( editDatabaseFile, 2, 1 );

    TextLabel1_2_2_2 = new TQLabel( tabSettings, "TextLabel1_2_2_2" );

    tabSettingsLayout->addWidget( TextLabel1_2_2_2, 2, 0 );

    comboLanguage = new TQComboBox( FALSE, tabSettings, "comboLanguage" );
    comboLanguage->setEnabled( FALSE );

    tabSettingsLayout->addMultiCellWidget( comboLanguage, 1, 1, 1, 2 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    editProjectFile = new KLineEdit( tabSettings, "editProjectFile" );
    Layout1->addWidget( editProjectFile );

    buttonProject = new TQToolButton( tabSettings, "buttonProject" );
    Layout1->addWidget( buttonProject );

    tabSettingsLayout->addMultiCellLayout( Layout1, 0, 0, 1, 2 );
    Spacer3 = new TQSpacerItem( 21, 71, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    tabSettingsLayout->addItem( Spacer3, 4, 1 );
    tabWidget->insertTab( tabSettings, TQString::fromLatin1("") );
    ProjectSettingsBaseLayout->addWidget( tabWidget );

    Layout4 = new TQHBoxLayout( 0, 0, 6, "Layout4"); 

    buttonHelp = new TQPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout4->addWidget( buttonHelp );
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout4->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout4->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout4->addWidget( buttonCancel );
    ProjectSettingsBaseLayout->addLayout( Layout4 );
    languageChange();
    resize( TQSize(375, 224).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonProject, TQ_SIGNAL( clicked() ), this, TQ_SLOT( chooseProjectFile() ) );
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( okClicked() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( buttonHelp, TQ_SIGNAL( clicked() ), this, TQ_SLOT( helpClicked() ) );
    connect( comboLanguage, TQ_SIGNAL( activated(const TQString&) ), this, TQ_SLOT( languageChanged(const TQString&) ) );

    // tab order
    setTabOrder( tabWidget, editProjectFile );
    setTabOrder( editProjectFile, comboLanguage );
    setTabOrder( comboLanguage, buttonHelp );
    setTabOrder( buttonHelp, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    TextLabel1_2->setBuddy( editProjectFile );
    TextLabel1_3->setBuddy( comboLanguage );
    TextLabel1_2_2_2->setBuddy( editDatabaseFile );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProjectSettingsBase::~ProjectSettingsBase()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProjectSettingsBase::languageChange()
{
    setCaption( tr2i18n( "Project Settings" ) );
    TextLabel1_2->setText( tr2i18n( "&Project file:" ) );
    TextLabel1_3->setText( tr2i18n( "&Language:" ) );
    buttonDatabaseFile_2->setText( tr2i18n( "..." ) );
    TextLabel1_2_2_2->setText( tr2i18n( "&Database file:" ) );
    buttonProject->setText( tr2i18n( "..." ) );
    tabWidget->changeTab( tabSettings, tr2i18n( "&Settings" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    TQWhatsThis::add( buttonOk, tr2i18n( "Close the dialog and apply all the changes." ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    TQWhatsThis::add( buttonCancel, tr2i18n( "Close the dialog and discard any changes." ) );
}

void ProjectSettingsBase::chooseDatabaseFile()
{
    tqWarning( "ProjectSettingsBase::chooseDatabaseFile(): Not implemented yet" );
}

void ProjectSettingsBase::chooseProjectFile()
{
    tqWarning( "ProjectSettingsBase::chooseProjectFile(): Not implemented yet" );
}

void ProjectSettingsBase::destroy()
{
}

void ProjectSettingsBase::helpClicked()
{
    tqWarning( "ProjectSettingsBase::helpClicked(): Not implemented yet" );
}

void ProjectSettingsBase::init()
{
}

void ProjectSettingsBase::languageChanged(const TQString&)
{
    tqWarning( "ProjectSettingsBase::languageChanged(const TQString&): Not implemented yet" );
}

void ProjectSettingsBase::okClicked()
{
    tqWarning( "ProjectSettingsBase::okClicked(): Not implemented yet" );
}

/****************************************************************************
** ProjectSettingsBase meta object code from reading C++ file 'projectsettings.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "projectsettings.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ProjectSettingsBase::className() const
{
    return "ProjectSettingsBase";
}

TQMetaObject *ProjectSettingsBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ProjectSettingsBase( "ProjectSettingsBase", &ProjectSettingsBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ProjectSettingsBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ProjectSettingsBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ProjectSettingsBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ProjectSettingsBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ProjectSettingsBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"chooseDatabaseFile", 0, 0 };
    static const TQUMethod slot_2 = {"chooseProjectFile", 0, 0 };
    static const TQUMethod slot_3 = {"destroy", 0, 0 };
    static const TQUMethod slot_4 = {"helpClicked", 0, 0 };
    static const TQUMethod slot_5 = {"init", 0, 0 };
    static const TQUParameter param_slot_6[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_6 = {"languageChanged", 1, param_slot_6 };
    static const TQUMethod slot_7 = {"okClicked", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "chooseDatabaseFile()", &slot_1, TQMetaData::Protected },
	{ "chooseProjectFile()", &slot_2, TQMetaData::Protected },
	{ "destroy()", &slot_3, TQMetaData::Protected },
	{ "helpClicked()", &slot_4, TQMetaData::Protected },
	{ "init()", &slot_5, TQMetaData::Protected },
	{ "languageChanged(const TQString&)", &slot_6, TQMetaData::Protected },
	{ "okClicked()", &slot_7, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ProjectSettingsBase", parentObject,
	slot_tbl, 8,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ProjectSettingsBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ProjectSettingsBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ProjectSettingsBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool ProjectSettingsBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: chooseDatabaseFile(); break;
    case 2: chooseProjectFile(); break;
    case 3: destroy(); break;
    case 4: helpClicked(); break;
    case 5: init(); break;
    case 6: languageChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 7: okClicked(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ProjectSettingsBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ProjectSettingsBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool ProjectSettingsBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
