#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'createpcsdialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "createpcsdialogbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqwidget.h>
#include <ntqlabel.h>
#include <ntqprogressbar.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a CreatePCSDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qwizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qwizard.
 */
CreatePCSDialogBase::CreatePCSDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : KWizard( parent, name, modal, fl )
{
    if ( !name )
	setName( "CreatePCSDialogBase" );

    importerPage = new TQWidget( this, "importerPage" );
    importerPageLayout = new TQVBoxLayout( importerPage, 11, 6, "importerPageLayout"); 

    importerListView = new TDEListView( importerPage, "importerListView" );
    importerListView->addColumn( TQString::null );
    importerListView->setResizeMode( TDEListView::LastColumn );
    importerPageLayout->addWidget( importerListView );
    addPage( importerPage, TQString("") );

    settingsPage = new TQWidget( this, "settingsPage" );
    addPage( settingsPage, TQString("") );

    descriptionPage = new TQWidget( this, "descriptionPage" );
    descriptionPageLayout = new TQVBoxLayout( descriptionPage, 11, 6, "descriptionPageLayout"); 

    textLabel1 = new TQLabel( descriptionPage, "textLabel1" );
    descriptionPageLayout->addWidget( textLabel1 );

    filename_edit = new KLineEdit( descriptionPage, "filename_edit" );
    descriptionPageLayout->addWidget( filename_edit );
    spacer2 = new TQSpacerItem( 20, 111, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    descriptionPageLayout->addItem( spacer2 );
    addPage( descriptionPage, TQString("") );

    finalPage = new TQWidget( this, "finalPage" );
    finalPageLayout = new TQVBoxLayout( finalPage, 11, 6, "finalPageLayout"); 

    progressBar = new TQProgressBar( finalPage, "progressBar" );
    finalPageLayout->addWidget( progressBar );

    currentFile = new TQLabel( finalPage, "currentFile" );
    finalPageLayout->addWidget( currentFile );
    spacer2_2 = new TQSpacerItem( 20, 81, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    finalPageLayout->addItem( spacer2_2 );
    addPage( finalPage, TQString("") );
    languageChange();
    resize( TQSize(477, 411).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( this, TQ_SIGNAL( selected(const TQString&) ), this, TQ_SLOT( slotSelected(const TQString&) ) );
    connect( importerListView, TQ_SIGNAL( clicked(TQListViewItem*) ), this, TQ_SLOT( slotSelectionChanged(TQListViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CreatePCSDialogBase::~CreatePCSDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CreatePCSDialogBase::languageChange()
{
    setCaption( tr2i18n( "New Persistant Class Store" ) );
    importerListView->header()->setLabel( 0, TQString::null );
    setTitle( importerPage, tr2i18n( "Select importer" ) );
    setTitle( settingsPage, tr2i18n( "Select directory" ) );
    textLabel1->setText( tr2i18n( "Filename:" ) );
    setTitle( descriptionPage, tr2i18n( "Describe database contents" ) );
    currentFile->setText( TQString::null );
    setTitle( finalPage, tr2i18n( "Creating..." ) );
}

void CreatePCSDialogBase::slotSelected(const TQString&)
{
    tqWarning( "CreatePCSDialogBase::slotSelected(const TQString&): Not implemented yet" );
}

void CreatePCSDialogBase::slotSelectionChanged(TQListViewItem*)
{
    tqWarning( "CreatePCSDialogBase::slotSelectionChanged(TQListViewItem*): Not implemented yet" );
}

/****************************************************************************
** CreatePCSDialogBase meta object code from reading C++ file 'createpcsdialogbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "createpcsdialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *CreatePCSDialogBase::className() const
{
    return "CreatePCSDialogBase";
}

TQMetaObject *CreatePCSDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_CreatePCSDialogBase( "CreatePCSDialogBase", &CreatePCSDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString CreatePCSDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CreatePCSDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString CreatePCSDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CreatePCSDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* CreatePCSDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = KWizard::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"slotSelected", 1, param_slot_0 };
    static const TQUParameter param_slot_1[] = {
	{ 0, &static_QUType_ptr, "TQListViewItem", TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"slotSelectionChanged", 1, param_slot_1 };
    static const TQUMethod slot_2 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "slotSelected(const TQString&)", &slot_0, TQMetaData::Public },
	{ "slotSelectionChanged(TQListViewItem*)", &slot_1, TQMetaData::Public },
	{ "languageChange()", &slot_2, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"CreatePCSDialogBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_CreatePCSDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* CreatePCSDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CreatePCSDialogBase" ) )
	return this;
    return KWizard::tqt_cast( clname );
}

bool CreatePCSDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotSelected((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 1: slotSelectionChanged((TQListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 2: languageChange(); break;
    default:
	return KWizard::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool CreatePCSDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return KWizard::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool CreatePCSDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return KWizard::tqt_property( id, f, v);
}

bool CreatePCSDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
