#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settingsdialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settingsdialogbase.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <kurlrequester.h>
#include <tdelistbox.h>
#include <ntqlabel.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SettingsDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SettingsDialogBase::SettingsDialogBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SettingsDialogBase" );
    SettingsDialogBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "SettingsDialogBaseLayout"); 
    spacer2 = new TQSpacerItem( 161, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    SettingsDialogBaseLayout->addMultiCell( spacer2, 3, 3, 1, 2 );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( textLabel1 );

    qtConfiguration = new KComboBox( FALSE, this, "qtConfiguration" );
    qtConfiguration->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, qtConfiguration->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( qtConfiguration );

    SettingsDialogBaseLayout->addLayout( layout2, 3, 0 );

    addUrlButton = new TQPushButton( this, "addUrlButton" );
    addUrlButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, addUrlButton->sizePolicy().hasHeightForWidth() ) );

    SettingsDialogBaseLayout->addWidget( addUrlButton, 2, 2 );

    qtUrl = new KURLRequester( this, "qtUrl" );

    SettingsDialogBaseLayout->addMultiCellWidget( qtUrl, 2, 2, 0, 1 );

    textLabel1_2 = new TQLabel( this, "textLabel1_2" );

    SettingsDialogBaseLayout->addMultiCellWidget( textLabel1_2, 0, 0, 0, 2 );

    qtListBox = new TDEListBox( this, "qtListBox" );

    SettingsDialogBaseLayout->addMultiCellWidget( qtListBox, 1, 1, 0, 2 );
    languageChange();
    resize( TQSize(397, 283).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( qtListBox, TQ_SIGNAL( selectionChanged(TQListBoxItem*) ), this, TQ_SLOT( slotSelectionChanged(TQListBoxItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SettingsDialogBase::~SettingsDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SettingsDialogBase::languageChange()
{
    textLabel1->setText( tr2i18n( "Scope:" ) );
    TQWhatsThis::add( qtConfiguration, tr2i18n( "Select the Qt configuration for which to create a Code Completion database. If you do not know what this option does, accept the default." ) );
    addUrlButton->setText( tr2i18n( "&Add" ) );
    textLabel1_2->setText( tr2i18n( "Qt3 include directories:\n"
"Only the selected entry will be used" ) );
}

void SettingsDialogBase::slotSelectionChanged(TQListBoxItem*)
{
    tqWarning( "SettingsDialogBase::slotSelectionChanged(TQListBoxItem*): Not implemented yet" );
}

/****************************************************************************
** SettingsDialogBase meta object code from reading C++ file 'settingsdialogbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "settingsdialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SettingsDialogBase::className() const
{
    return "SettingsDialogBase";
}

TQMetaObject *SettingsDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SettingsDialogBase( "SettingsDialogBase", &SettingsDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SettingsDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SettingsDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SettingsDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SettingsDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SettingsDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_ptr, "TQListBoxItem", TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"slotSelectionChanged", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "slotSelectionChanged(TQListBoxItem*)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    static const TQUParameter param_signal_0[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod signal_0 = {"enabled", 1, param_signal_0 };
    static const TQMetaData signal_tbl[] = {
	{ "enabled(int)", &signal_0, TQMetaData::Public }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SettingsDialogBase", parentObject,
	slot_tbl, 2,
	signal_tbl, 1,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SettingsDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SettingsDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SettingsDialogBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

// TQ_SIGNAL enabled
void SettingsDialogBase::enabled( int t0 )
{
    activate_signal( staticMetaObject()->signalOffset() + 0, t0 );
}

bool SettingsDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotSelectionChanged((TQListBoxItem*)static_QUType_ptr.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SettingsDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: enabled((int)static_QUType_int.get(_o+1)); break;
    default:
	return TQWidget::tqt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef TQT_NO_PROPERTIES

bool SettingsDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool SettingsDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
