#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'configproblemreporter.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configproblemreporter.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqslider.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "configproblemreporter.ui.h"

/*
 *  Constructs a ConfigureProblemReporter as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigureProblemReporter::ConfigureProblemReporter( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigureProblemReporter" );
    ConfigureProblemReporterLayout = new TQVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "ConfigureProblemReporterLayout"); 

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setFrameShadow( TQGroupBox::Sunken );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( KDialog::spacingHint() );
    groupBox1->layout()->setMargin( KDialog::marginHint() );
    groupBox1Layout = new TQVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    layout2 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout2"); 

    bgParserCheckbox = new TQCheckBox( groupBox1, "bgParserCheckbox" );
    layout2->addWidget( bgParserCheckbox );

    delayLabel = new TQLabel( groupBox1, "delayLabel" );
    delayLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, delayLabel->sizePolicy().hasHeightForWidth() ) );
    delayLabel->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignLeft ) );
    layout2->addWidget( delayLabel );
    groupBox1Layout->addLayout( layout2 );

    delaySlider = new TQSlider( groupBox1, "delaySlider" );
    delaySlider->setMaxValue( 2000 );
    delaySlider->setLineStep( 250 );
    delaySlider->setPageStep( 500 );
    delaySlider->setOrientation( TQSlider::Horizontal );
    delaySlider->setTickmarks( TQSlider::Right );
    delaySlider->setTickInterval( 250 );
    groupBox1Layout->addWidget( delaySlider );
    ConfigureProblemReporterLayout->addWidget( groupBox1 );

    groupBox3 = new TQGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, TQt::Vertical );
    groupBox3->layout()->setSpacing( KDialog::spacingHint() );
    groupBox3->layout()->setMargin( KDialog::marginHint() );
    groupBox3Layout = new TQGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( TQt::AlignTop );

    specialHeaderListView = new TDEListView( groupBox3, "specialHeaderListView" );
    specialHeaderListView->addColumn( TQString::null );
    specialHeaderListView->setResizeMode( TDEListView::LastColumn );

    groupBox3Layout->addMultiCellWidget( specialHeaderListView, 0, 4, 0, 0 );
    spacer2 = new TQSpacerItem( 20, 61, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    groupBox3Layout->addItem( spacer2, 4, 1 );

    pushButton6 = new TQPushButton( groupBox3, "pushButton6" );
    pushButton6->setAutoDefault( TRUE );

    groupBox3Layout->addWidget( pushButton6, 3, 1 );

    pushButton5 = new TQPushButton( groupBox3, "pushButton5" );
    pushButton5->setAutoDefault( TRUE );

    groupBox3Layout->addWidget( pushButton5, 2, 1 );

    pushButton3 = new TQPushButton( groupBox3, "pushButton3" );
    pushButton3->setAutoDefault( TRUE );

    groupBox3Layout->addWidget( pushButton3, 0, 1 );

    pushButton4 = new TQPushButton( groupBox3, "pushButton4" );
    pushButton4->setAutoDefault( TRUE );

    groupBox3Layout->addWidget( pushButton4, 1, 1 );
    ConfigureProblemReporterLayout->addWidget( groupBox3 );
    languageChange();
    resize( TQSize(588, 490).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( delaySlider, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( setDelayLabel(int) ) );
    connect( bgParserCheckbox, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( bgParserCheckbox_toggled(bool) ) );
    connect( pushButton3, TQ_SIGNAL( clicked() ), this, TQ_SLOT( addSpecialHeader() ) );
    connect( pushButton4, TQ_SIGNAL( clicked() ), this, TQ_SLOT( removeSpecialHeader() ) );
    connect( pushButton5, TQ_SIGNAL( clicked() ), this, TQ_SLOT( moveUpSpecialHeader() ) );
    connect( pushButton6, TQ_SIGNAL( clicked() ), this, TQ_SLOT( moveDownSpecialHeader() ) );

    // tab order
    setTabOrder( bgParserCheckbox, delaySlider );
    setTabOrder( delaySlider, specialHeaderListView );
    setTabOrder( specialHeaderListView, pushButton3 );
    setTabOrder( pushButton3, pushButton4 );
    setTabOrder( pushButton4, pushButton5 );
    setTabOrder( pushButton5, pushButton6 );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigureProblemReporter::~ConfigureProblemReporter()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigureProblemReporter::languageChange()
{
    groupBox1->setTitle( tr2i18n( "&Parsing" ) );
    bgParserCheckbox->setText( tr2i18n( "&Enable background parsing" ) );
    delayLabel->setText( tr2i18n( "msec" ) );
    groupBox3->setTitle( tr2i18n( "&Special Headers" ) );
    specialHeaderListView->header()->setLabel( 0, TQString::null );
    pushButton6->setText( tr2i18n( "Move &Down" ) );
    pushButton5->setText( tr2i18n( "Move &Up" ) );
    pushButton3->setText( tr2i18n( "&Add" ) );
    pushButton4->setText( tr2i18n( "&Remove" ) );
}

/****************************************************************************
** ConfigureProblemReporter meta object code from reading C++ file 'configproblemreporter.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "configproblemreporter.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ConfigureProblemReporter::className() const
{
    return "ConfigureProblemReporter";
}

TQMetaObject *ConfigureProblemReporter::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ConfigureProblemReporter( "ConfigureProblemReporter", &ConfigureProblemReporter::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ConfigureProblemReporter::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConfigureProblemReporter", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ConfigureProblemReporter::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConfigureProblemReporter", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ConfigureProblemReporter::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"init", 0, 0 };
    static const TQUMethod slot_1 = {"destroy", 0, 0 };
    static const TQUMethod slot_2 = {"accept", 0, 0 };
    static const TQUParameter param_slot_3[] = {
	{ "b", &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_3 = {"bgParserCheckbox_toggled", 1, param_slot_3 };
    static const TQUMethod slot_4 = {"addSpecialHeader", 0, 0 };
    static const TQUMethod slot_5 = {"removeSpecialHeader", 0, 0 };
    static const TQUMethod slot_6 = {"moveUpSpecialHeader", 0, 0 };
    static const TQUMethod slot_7 = {"moveDownSpecialHeader", 0, 0 };
    static const TQUMethod slot_8 = {"languageChange", 0, 0 };
    static const TQUParameter param_slot_9[] = {
	{ "delay", &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_9 = {"setDelayLabel", 1, param_slot_9 };
    static const TQMetaData slot_tbl[] = {
	{ "init()", &slot_0, TQMetaData::Public },
	{ "destroy()", &slot_1, TQMetaData::Public },
	{ "accept()", &slot_2, TQMetaData::Public },
	{ "bgParserCheckbox_toggled(bool)", &slot_3, TQMetaData::Public },
	{ "addSpecialHeader()", &slot_4, TQMetaData::Public },
	{ "removeSpecialHeader()", &slot_5, TQMetaData::Public },
	{ "moveUpSpecialHeader()", &slot_6, TQMetaData::Public },
	{ "moveDownSpecialHeader()", &slot_7, TQMetaData::Public },
	{ "languageChange()", &slot_8, TQMetaData::Protected },
	{ "setDelayLabel(int)", &slot_9, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ConfigureProblemReporter", parentObject,
	slot_tbl, 10,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ConfigureProblemReporter.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ConfigureProblemReporter::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ConfigureProblemReporter" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool ConfigureProblemReporter::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init(); break;
    case 1: destroy(); break;
    case 2: accept(); break;
    case 3: bgParserCheckbox_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 4: addSpecialHeader(); break;
    case 5: removeSpecialHeader(); break;
    case 6: moveUpSpecialHeader(); break;
    case 7: moveDownSpecialHeader(); break;
    case 8: languageChange(); break;
    case 9: setDelayLabel((int)static_QUType_int.get(_o+1)); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ConfigureProblemReporter::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ConfigureProblemReporter::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool ConfigureProblemReporter::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
