#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'editcatalogdlgbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "editcatalogdlgbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a EditCatalogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
EditCatalogBase::EditCatalogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "EditCatalogBase" );
    setEnabled( TRUE );
    setSizeGripEnabled( TRUE );
    EditCatalogBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "EditCatalogBaseLayout"); 

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    EditCatalogBaseLayout->addLayout( Layout1, 1, 0 );

    layout3 = new TQGridLayout( 0, 1, 1, 0, 6, "layout3"); 
    spacer2 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout3->addItem( spacer2, 4, 0 );

    textLabel1_2 = new TQLabel( this, "textLabel1_2" );

    layout3->addWidget( textLabel1_2, 0, 0 );

    locationURL = new KURLRequester( this, "locationURL" );

    layout3->addWidget( locationURL, 1, 0 );

    titleLabel = new TQLabel( this, "titleLabel" );
    titleLabel->setEnabled( FALSE );

    layout3->addWidget( titleLabel, 2, 0 );

    titleEdit = new KLineEdit( this, "titleEdit" );
    titleEdit->setEnabled( FALSE );

    layout3->addWidget( titleEdit, 3, 0 );

    EditCatalogBaseLayout->addLayout( layout3, 0, 0 );
    languageChange();
    resize( TQSize(404, 163).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( locationURL, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( locationURLChanged(const TQString&) ) );

    // tab order
    setTabOrder( locationURL, titleEdit );
    setTabOrder( titleEdit, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    textLabel1_2->setBuddy( locationURL );
    titleLabel->setBuddy( titleEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EditCatalogBase::~EditCatalogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EditCatalogBase::languageChange()
{
    setCaption( tr2i18n( "Documentation Catalog Properties" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    textLabel1_2->setText( tr2i18n( "&Location:" ) );
    titleLabel->setText( tr2i18n( "&Title:" ) );
}

void EditCatalogBase::locationURLChanged(const TQString&)
{
    tqWarning( "EditCatalogBase::locationURLChanged(const TQString&): Not implemented yet" );
}

/****************************************************************************
** EditCatalogBase meta object code from reading C++ file 'editcatalogdlgbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "editcatalogdlgbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *EditCatalogBase::className() const
{
    return "EditCatalogBase";
}

TQMetaObject *EditCatalogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_EditCatalogBase( "EditCatalogBase", &EditCatalogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString EditCatalogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EditCatalogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString EditCatalogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EditCatalogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* EditCatalogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"locationURLChanged", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "locationURLChanged(const TQString&)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"EditCatalogBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_EditCatalogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* EditCatalogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EditCatalogBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool EditCatalogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: locationURLChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool EditCatalogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool EditCatalogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool EditCatalogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
