#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'filterdlg.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "filterdlg.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a FilterDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
FilterDlg::FilterDlg( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FilterDlg" );
    setSizeGripEnabled( TRUE );
    FilterDlgLayout = new TQGridLayout( this, 1, 1, 11, 6, "FilterDlgLayout"); 

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    FilterDlgLayout->addLayout( Layout1, 1, 0 );

    filtergroup = new TQButtonGroup( this, "filtergroup" );
    filtergroup->setCheckable( FALSE );
    filtergroup->setProperty( "selectedId", -1 );
    filtergroup->setColumnLayout(0, TQt::Vertical );
    filtergroup->layout()->setSpacing( 6 );
    filtergroup->layout()->setMargin( 11 );
    filtergroupLayout = new TQVBoxLayout( filtergroup->layout() );
    filtergroupLayout->setAlignment( TQt::AlignTop );

    textLabel1 = new TQLabel( filtergroup, "textLabel1" );
    filtergroupLayout->addWidget( textLabel1 );

    filterString = new KLineEdit( filtergroup, "filterString" );
    filterString->setEnabled( TRUE );
    filtergroupLayout->addWidget( filterString );

    caseSensitive = new TQCheckBox( filtergroup, "caseSensitive" );
    filtergroupLayout->addWidget( caseSensitive );

    regularExpression = new TQCheckBox( filtergroup, "regularExpression" );
    filtergroupLayout->addWidget( regularExpression );

    FilterDlgLayout->addWidget( filtergroup, 0, 0 );
    languageChange();
    resize( TQSize(326, 200).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );

    // tab order
    setTabOrder( filterString, caseSensitive );
    setTabOrder( caseSensitive, regularExpression );
    setTabOrder( regularExpression, buttonOk );
    setTabOrder( buttonOk, buttonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FilterDlg::~FilterDlg()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FilterDlg::languageChange()
{
    setCaption( tr2i18n( "Output Filter Settings" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    filtergroup->setTitle( tr2i18n( "Filter" ) );
    textLabel1->setText( tr2i18n( "Only show lines matching:" ) );
    caseSensitive->setText( tr2i18n( "C&ase sensitive" ) );
    regularExpression->setText( tr2i18n( "Re&gular expression" ) );
}

/****************************************************************************
** FilterDlg meta object code from reading C++ file 'filterdlg.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "filterdlg.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *FilterDlg::className() const
{
    return "FilterDlg";
}

TQMetaObject *FilterDlg::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_FilterDlg( "FilterDlg", &FilterDlg::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString FilterDlg::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FilterDlg", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString FilterDlg::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FilterDlg", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* FilterDlg::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"FilterDlg", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_FilterDlg.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* FilterDlg::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FilterDlg" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool FilterDlg::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool FilterDlg::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool FilterDlg::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool FilterDlg::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
