#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'quickopenbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "quickopenbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <tdelistbox.h>
#include <ntqlabel.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a QuickOpenDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
QuickOpenDialogBase::QuickOpenDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "QuickOpenDialogBase" );
    setSizeGripEnabled( TRUE );
    QuickOpenDialogBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "QuickOpenDialogBaseLayout"); 

    nameLabel = new TQLabel( this, "nameLabel" );

    QuickOpenDialogBaseLayout->addWidget( nameLabel, 0, 0 );

    itemListLabel = new TQLabel( this, "itemListLabel" );

    QuickOpenDialogBaseLayout->addWidget( itemListLabel, 2, 0 );

    itemList = new TDEListBox( this, "itemList" );

    QuickOpenDialogBaseLayout->addWidget( itemList, 3, 0 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    QuickOpenDialogBaseLayout->addLayout( Layout1, 4, 0 );

    nameEdit = new KLineEdit( this, "nameEdit" );

    QuickOpenDialogBaseLayout->addWidget( nameEdit, 1, 0 );
    languageChange();
    resize( TQSize(369, 331).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotReturnPressed() ) );
    connect( itemList, TQ_SIGNAL( doubleClicked(TQListBoxItem*) ), this, TQ_SLOT( slotExecuted(TQListBoxItem*) ) );
    connect( nameEdit, TQ_SIGNAL( returnPressed() ), this, TQ_SLOT( slotReturnPressed() ) );
    connect( nameEdit, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( slotTextChanged(const TQString&) ) );
    connect( itemList, TQ_SIGNAL( returnPressed(TQListBoxItem*) ), this, TQ_SLOT( slotReturnPressed() ) );

    // tab order
    setTabOrder( nameEdit, itemList );
    setTabOrder( itemList, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    nameLabel->setBuddy( nameEdit );
    itemListLabel->setBuddy( itemList );
}

/*
 *  Destroys the object and frees any allocated resources
 */
QuickOpenDialogBase::~QuickOpenDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void QuickOpenDialogBase::languageChange()
{
    setCaption( tr2i18n( "Quick Open" ) );
    nameLabel->setText( tr2i18n( "[NAME]" ) );
    itemListLabel->setText( tr2i18n( "[ITEM LIST]" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

void QuickOpenDialogBase::slotTextChanged(const TQString&)
{
    tqWarning( "QuickOpenDialogBase::slotTextChanged(const TQString&): Not implemented yet" );
}

void QuickOpenDialogBase::executed(TQListBoxItem*)
{
    tqWarning( "QuickOpenDialogBase::executed(TQListBoxItem*): Not implemented yet" );
}

void QuickOpenDialogBase::slotExecuted(TQListBoxItem*)
{
    tqWarning( "QuickOpenDialogBase::slotExecuted(TQListBoxItem*): Not implemented yet" );
}

void QuickOpenDialogBase::slotReturnPressed()
{
    tqWarning( "QuickOpenDialogBase::slotReturnPressed(): Not implemented yet" );
}

/****************************************************************************
** QuickOpenDialogBase meta object code from reading C++ file 'quickopenbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "quickopenbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *QuickOpenDialogBase::className() const
{
    return "QuickOpenDialogBase";
}

TQMetaObject *QuickOpenDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_QuickOpenDialogBase( "QuickOpenDialogBase", &QuickOpenDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString QuickOpenDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "QuickOpenDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString QuickOpenDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "QuickOpenDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* QuickOpenDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"slotTextChanged", 1, param_slot_0 };
    static const TQUParameter param_slot_1[] = {
	{ 0, &static_QUType_ptr, "TQListBoxItem", TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"executed", 1, param_slot_1 };
    static const TQUParameter param_slot_2[] = {
	{ 0, &static_QUType_ptr, "TQListBoxItem", TQUParameter::In }
    };
    static const TQUMethod slot_2 = {"slotExecuted", 1, param_slot_2 };
    static const TQUMethod slot_3 = {"slotReturnPressed", 0, 0 };
    static const TQUMethod slot_4 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "slotTextChanged(const TQString&)", &slot_0, TQMetaData::Public },
	{ "executed(TQListBoxItem*)", &slot_1, TQMetaData::Public },
	{ "slotExecuted(TQListBoxItem*)", &slot_2, TQMetaData::Public },
	{ "slotReturnPressed()", &slot_3, TQMetaData::Public },
	{ "languageChange()", &slot_4, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"QuickOpenDialogBase", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_QuickOpenDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* QuickOpenDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "QuickOpenDialogBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool QuickOpenDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotTextChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 1: executed((TQListBoxItem*)static_QUType_ptr.get(_o+1)); break;
    case 2: slotExecuted((TQListBoxItem*)static_QUType_ptr.get(_o+1)); break;
    case 3: slotReturnPressed(); break;
    case 4: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool QuickOpenDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool QuickOpenDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool QuickOpenDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
