#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'svnssltrustpromptbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "svnssltrustpromptbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SvnSSLTrustPromptBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SvnSSLTrustPromptBase::SvnSSLTrustPromptBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SvnSSLTrustPromptBase" );
    SvnSSLTrustPromptBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "SvnSSLTrustPromptBaseLayout"); 

    btnPermanent = new TQPushButton( this, "btnPermanent" );

    SvnSSLTrustPromptBaseLayout->addWidget( btnPermanent, 2, 0 );

    listView1 = new TQListView( this, "listView1" );
    listView1->addColumn( TQString::null );
    listView1->addColumn( TQString::null );

    SvnSSLTrustPromptBaseLayout->addMultiCellWidget( listView1, 1, 1, 0, 2 );

    btnReject = new TQPushButton( this, "btnReject" );

    SvnSSLTrustPromptBaseLayout->addWidget( btnReject, 2, 2 );

    btnTemporary = new TQPushButton( this, "btnTemporary" );

    SvnSSLTrustPromptBaseLayout->addWidget( btnTemporary, 2, 1 );

    errMsgLabel = new TQLabel( this, "errMsgLabel" );
    errMsgLabel->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    SvnSSLTrustPromptBaseLayout->addMultiCellWidget( errMsgLabel, 0, 0, 0, 2 );
    languageChange();
    resize( TQSize(504, 281).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnPermanent, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( btnTemporary, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( btnReject, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SvnSSLTrustPromptBase::~SvnSSLTrustPromptBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SvnSSLTrustPromptBase::languageChange()
{
    setCaption( tr2i18n( "SSL Certificate Trust" ) );
    btnPermanent->setText( TQString::null );
    listView1->header()->setLabel( 0, TQString::null );
    listView1->header()->setLabel( 1, TQString::null );
    btnReject->setText( TQString::null );
    btnTemporary->setText( TQString::null );
    errMsgLabel->setText( TQString::null );
}

/****************************************************************************
** SvnSSLTrustPromptBase meta object code from reading C++ file 'svnssltrustpromptbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "svnssltrustpromptbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SvnSSLTrustPromptBase::className() const
{
    return "SvnSSLTrustPromptBase";
}

TQMetaObject *SvnSSLTrustPromptBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SvnSSLTrustPromptBase( "SvnSSLTrustPromptBase", &SvnSSLTrustPromptBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SvnSSLTrustPromptBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SvnSSLTrustPromptBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SvnSSLTrustPromptBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SvnSSLTrustPromptBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SvnSSLTrustPromptBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SvnSSLTrustPromptBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SvnSSLTrustPromptBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SvnSSLTrustPromptBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SvnSSLTrustPromptBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool SvnSSLTrustPromptBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SvnSSLTrustPromptBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SvnSSLTrustPromptBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool SvnSSLTrustPromptBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
