#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'editfunctions.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "editfunctions.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqcheckbox.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a EditFunctionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
EditFunctionsBase::EditFunctionsBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "EditFunctionsBase" );
    setSizeGripEnabled( TRUE );
    EditFunctionsBaseLayout = new TQVBoxLayout( this, 11, 6, "EditFunctionsBaseLayout"); 

    functionListView = new TQListView( this, "functionListView" );
    functionListView->addColumn( tr2i18n( "Function" ) );
    functionListView->addColumn( tr2i18n( "Return Type" ) );
    functionListView->addColumn( tr2i18n( "Specifier" ) );
    functionListView->addColumn( tr2i18n( "Access" ) );
    functionListView->addColumn( tr2i18n( "Type" ) );
    functionListView->addColumn( tr2i18n( "In Use" ) );
    functionListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, functionListView->sizePolicy().hasHeightForWidth() ) );
    functionListView->setFrameShape( TQListView::StyledPanel );
    functionListView->setFrameShadow( TQListView::Sunken );
    functionListView->setAllColumnsShowFocus( TRUE );
    functionListView->setShowSortIndicator( TRUE );
    EditFunctionsBaseLayout->addWidget( functionListView );

    Layout11 = new TQHBoxLayout( 0, 6, 6, "Layout11"); 

    showOnlySlots = new TQCheckBox( this, "showOnlySlots" );
    showOnlySlots->setFocusPolicy( TQCheckBox::StrongFocus );
    Layout11->addWidget( showOnlySlots );
    Vertical_Spacing1 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout11->addItem( Vertical_Spacing1 );

    addFunction = new TQPushButton( this, "addFunction" );
    Layout11->addWidget( addFunction );

    deleteFunction = new TQPushButton( this, "deleteFunction" );
    Layout11->addWidget( deleteFunction );
    EditFunctionsBaseLayout->addLayout( Layout11 );

    boxProperties = new TQGroupBox( this, "boxProperties" );
    boxProperties->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, boxProperties->sizePolicy().hasHeightForWidth() ) );
    boxProperties->setColumnLayout(0, TQt::Vertical );
    boxProperties->layout()->setSpacing( 6 );
    boxProperties->layout()->setMargin( 11 );
    boxPropertiesLayout = new TQVBoxLayout( boxProperties->layout() );
    boxPropertiesLayout->setAlignment( TQt::AlignTop );

    Layout14 = new TQVBoxLayout( 0, 0, 6, "Layout14"); 

    Layout5 = new TQHBoxLayout( 0, 0, 6, "Layout5"); 

    Label8 = new TQLabel( boxProperties, "Label8" );
    Label8->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    Layout5->addWidget( Label8 );

    functionName = new KLineEdit( boxProperties, "functionName" );
    functionName->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, functionName->sizePolicy().hasHeightForWidth() ) );
    Layout5->addWidget( functionName );

    labelType = new TQLabel( boxProperties, "labelType" );
    labelType->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    Layout5->addWidget( labelType );

    editType = new KLineEdit( boxProperties, "editType" );
    editType->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, editType->sizePolicy().hasHeightForWidth() ) );
    Layout5->addWidget( editType );
    Layout14->addLayout( Layout5 );
    Spacer6_2 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    Layout14->addItem( Spacer6_2 );

    Layout13 = new TQHBoxLayout( 0, 0, 6, "Layout13"); 

    Label9_2 = new TQLabel( boxProperties, "Label9_2" );
    Label9_2->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    Layout13->addWidget( Label9_2 );

    functionSpecifier = new TQComboBox( FALSE, boxProperties, "functionSpecifier" );
    functionSpecifier->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, functionSpecifier->sizePolicy().hasHeightForWidth() ) );
    Layout13->addWidget( functionSpecifier );

    TextLabel1 = new TQLabel( boxProperties, "TextLabel1" );
    TextLabel1->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    Layout13->addWidget( TextLabel1 );

    functionAccess = new TQComboBox( FALSE, boxProperties, "functionAccess" );
    functionAccess->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, functionAccess->sizePolicy().hasHeightForWidth() ) );
    Layout13->addWidget( functionAccess );

    TextLabel1_2 = new TQLabel( boxProperties, "TextLabel1_2" );
    TextLabel1_2->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    Layout13->addWidget( TextLabel1_2 );

    functionType = new TQComboBox( FALSE, boxProperties, "functionType" );
    Layout13->addWidget( functionType );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout13->addItem( Spacer5 );
    Layout14->addLayout( Layout13 );
    boxPropertiesLayout->addLayout( Layout14 );
    EditFunctionsBaseLayout->addWidget( boxProperties );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    helpButton = new TQPushButton( this, "helpButton" );
    helpButton->setAutoDefault( TRUE );
    Layout1->addWidget( helpButton );
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    okButton = new TQPushButton( this, "okButton" );
    okButton->setAutoDefault( TRUE );
    okButton->setDefault( TRUE );
    Layout1->addWidget( okButton );

    cancelButton = new TQPushButton( this, "cancelButton" );
    cancelButton->setAutoDefault( TRUE );
    Layout1->addWidget( cancelButton );
    EditFunctionsBaseLayout->addLayout( Layout1 );
    languageChange();
    resize( TQSize(600, 371).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( okButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( okClicked() ) );
    connect( deleteFunction, TQ_SIGNAL( clicked() ), this, TQ_SLOT( functionRemove() ) );
    connect( addFunction, TQ_SIGNAL( clicked() ), this, TQ_SLOT( functionAdd() ) );
    connect( functionName, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( currentTextChanged(const TQString&) ) );
    connect( functionListView, TQ_SIGNAL( selectionChanged(TQListViewItem*) ), this, TQ_SLOT( currentItemChanged(TQListViewItem*) ) );
    connect( functionListView, TQ_SIGNAL( currentChanged(TQListViewItem*) ), this, TQ_SLOT( currentItemChanged(TQListViewItem*) ) );
    connect( editType, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( currentReturnTypeChanged(const TQString&) ) );
    connect( functionSpecifier, TQ_SIGNAL( activated(const TQString&) ), this, TQ_SLOT( currentSpecifierChanged(const TQString&) ) );
    connect( functionAccess, TQ_SIGNAL( activated(const TQString&) ), this, TQ_SLOT( currentAccessChanged(const TQString&) ) );
    connect( functionType, TQ_SIGNAL( activated(const TQString&) ), this, TQ_SLOT( currentTypeChanged(const TQString&) ) );
    connect( showOnlySlots, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( displaySlots(bool) ) );

    // tab order
    setTabOrder( functionName, editType );
    setTabOrder( editType, functionSpecifier );
    setTabOrder( functionSpecifier, functionAccess );
    setTabOrder( functionAccess, functionType );
    setTabOrder( functionType, helpButton );
    setTabOrder( helpButton, okButton );
    setTabOrder( okButton, cancelButton );
    setTabOrder( cancelButton, functionListView );
    setTabOrder( functionListView, showOnlySlots );
    setTabOrder( showOnlySlots, addFunction );
    setTabOrder( addFunction, deleteFunction );

    // buddies
    Label8->setBuddy( functionName );
    labelType->setBuddy( editType );
    Label9_2->setBuddy( functionSpecifier );
    TextLabel1->setBuddy( functionAccess );
    TextLabel1_2->setBuddy( functionType );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
EditFunctionsBase::~EditFunctionsBase()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EditFunctionsBase::languageChange()
{
    setCaption( tr2i18n( "Edit Functions" ) );
    TQWhatsThis::add( this, tr2i18n( "<b>Edit Functions</b><p>Add, edit or delete the current form's slots or functions.</p><p>Click the <b>Add Function</b>-button to create a new function; enter a name, choose an access mode and specify if it should be a slot or normal function.</p><p>Select an entry from the list and click the <b>Delete Function</b>-button to remove a function; in case of a slot all connections using this slot will also be removed.</p>" ) );
    functionListView->header()->setLabel( 0, tr2i18n( "Function" ) );
    functionListView->header()->setLabel( 1, tr2i18n( "Return Type" ) );
    functionListView->header()->setLabel( 2, tr2i18n( "Specifier" ) );
    functionListView->header()->setLabel( 3, tr2i18n( "Access" ) );
    functionListView->header()->setLabel( 4, tr2i18n( "Type" ) );
    functionListView->header()->setLabel( 5, tr2i18n( "In Use" ) );
    TQWhatsThis::add( functionListView, tr2i18n( "<b>This form's functions.</b><p>Select the function you want to change or delete.</p>" ) );
    showOnlySlots->setText( tr2i18n( "Only d&isplay slots" ) );
    TQToolTip::add( showOnlySlots, tr2i18n( "Change displaying mode for functions" ) );
    TQWhatsThis::add( showOnlySlots, tr2i18n( "<b>Check this button if only the slots should be displayed</b><p>Otherwise all functions, i.e. normal C++ functions and slots are displayed.</p>\n"
"" ) );
    addFunction->setText( tr2i18n( "&New Function" ) );
    TQToolTip::add( addFunction, tr2i18n( "Add new function" ) );
    TQWhatsThis::add( addFunction, tr2i18n( "<b>Add a new function.</b><p>New functions have a default name and public access.</p>" ) );
    deleteFunction->setText( tr2i18n( "&Delete Function" ) );
    TQToolTip::add( deleteFunction, tr2i18n( "Delete function" ) );
    TQWhatsThis::add( deleteFunction, tr2i18n( "<b>Delete the selected function.</b><p>All connections using this function are also removed.</p>" ) );
    boxProperties->setTitle( tr2i18n( "Function Properties" ) );
    Label8->setText( tr2i18n( "&Function:" ) );
    TQToolTip::add( functionName, tr2i18n( "Change function name" ) );
    TQWhatsThis::add( functionName, tr2i18n( "<b>Change the name of the selected function.</b><p>The name should include the argument list and must be syntactically correct.</p>" ) );
    labelType->setText( tr2i18n( "&Return type:" ) );
    TQToolTip::add( editType, tr2i18n( "Change the return type of the function" ) );
    TQWhatsThis::add( editType, tr2i18n( "<b>Change the return type of the selected function.</b><p>Specifiy here the datatype which should be returned by the function.</p>" ) );
    Label9_2->setText( tr2i18n( "S&pecifier:" ) );
    functionSpecifier->clear();
    functionSpecifier->insertItem( tr2i18n( "non virtual" ) );
    functionSpecifier->insertItem( tr2i18n( "virtual" ) );
    functionSpecifier->insertItem( tr2i18n( "pure virtual" ) );
    functionSpecifier->insertItem( tr2i18n( "static" ) );
    TQToolTip::add( functionSpecifier, tr2i18n( "Change function access" ) );
    TQWhatsThis::add( functionSpecifier, tr2i18n( "<b>Change the access policy of the function</b><p>All functions are created virtual and should be reimplemented in subclasses.</p>" ) );
    TextLabel1->setText( tr2i18n( "&Access:" ) );
    functionAccess->clear();
    functionAccess->insertItem( tr2i18n( "public" ) );
    functionAccess->insertItem( tr2i18n( "protected" ) );
    functionAccess->insertItem( tr2i18n( "private" ) );
    TQToolTip::add( functionAccess, tr2i18n( "Change function access" ) );
    TQWhatsThis::add( functionAccess, tr2i18n( "<b>Change the access policy of the function</b><p>All functions are created virtual and should be reimplemented in subclasses.</p>" ) );
    TextLabel1_2->setText( tr2i18n( "&Type:" ) );
    functionType->clear();
    functionType->insertItem( tr2i18n( "slot" ) );
    functionType->insertItem( tr2i18n( "function" ) );
    TQToolTip::add( functionType, tr2i18n( "Change function type" ) );
    TQWhatsThis::add( functionType, tr2i18n( "<b>Change the type of the function.</b><p>The type specifies if the function is either a slot or a normal C++ function.</p>" ) );
    helpButton->setText( tr2i18n( "&Help" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    TQWhatsThis::add( okButton, tr2i18n( "Close the dialog and apply all the changes." ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    TQWhatsThis::add( cancelButton, tr2i18n( "Close the dialog and discard any changes." ) );
}

void EditFunctionsBase::currentItemChanged(TQListViewItem*)
{
    tqWarning( "EditFunctionsBase::currentItemChanged(TQListViewItem*): Not implemented yet" );
}

void EditFunctionsBase::currentSpecifierChanged(const TQString&)
{
    tqWarning( "EditFunctionsBase::currentSpecifierChanged(const TQString&): Not implemented yet" );
}

void EditFunctionsBase::currentTextChanged(const TQString&)
{
    tqWarning( "EditFunctionsBase::currentTextChanged(const TQString&): Not implemented yet" );
}

void EditFunctionsBase::currentReturnTypeChanged(const TQString&)
{
    tqWarning( "EditFunctionsBase::currentReturnTypeChanged(const TQString&): Not implemented yet" );
}

void EditFunctionsBase::destroy()
{
}

void EditFunctionsBase::init()
{
}

void EditFunctionsBase::currentAccessChanged(const TQString&)
{
    tqWarning( "EditFunctionsBase::currentAccessChanged(const TQString&): Not implemented yet" );
}

void EditFunctionsBase::currentTypeChanged(const TQString&)
{
    tqWarning( "EditFunctionsBase::currentTypeChanged(const TQString&): Not implemented yet" );
}

void EditFunctionsBase::okClicked()
{
    tqWarning( "EditFunctionsBase::okClicked(): Not implemented yet" );
}

void EditFunctionsBase::functionAdd()
{
    tqWarning( "EditFunctionsBase::functionAdd(): Not implemented yet" );
}

void EditFunctionsBase::functionRemove()
{
    tqWarning( "EditFunctionsBase::functionRemove(): Not implemented yet" );
}

void EditFunctionsBase::displaySlots(bool)
{
    tqWarning( "EditFunctionsBase::displaySlots(bool): Not implemented yet" );
}

/****************************************************************************
** EditFunctionsBase meta object code from reading C++ file 'editfunctions.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "editfunctions.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *EditFunctionsBase::className() const
{
    return "EditFunctionsBase";
}

TQMetaObject *EditFunctionsBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_EditFunctionsBase( "EditFunctionsBase", &EditFunctionsBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString EditFunctionsBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EditFunctionsBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString EditFunctionsBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EditFunctionsBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* EditFunctionsBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUParameter param_slot_1[] = {
	{ 0, &static_QUType_ptr, "TQListViewItem", TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"currentItemChanged", 1, param_slot_1 };
    static const TQUParameter param_slot_2[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_2 = {"currentSpecifierChanged", 1, param_slot_2 };
    static const TQUParameter param_slot_3[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_3 = {"currentTextChanged", 1, param_slot_3 };
    static const TQUParameter param_slot_4[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_4 = {"currentReturnTypeChanged", 1, param_slot_4 };
    static const TQUMethod slot_5 = {"destroy", 0, 0 };
    static const TQUMethod slot_6 = {"init", 0, 0 };
    static const TQUParameter param_slot_7[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_7 = {"currentAccessChanged", 1, param_slot_7 };
    static const TQUParameter param_slot_8[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_8 = {"currentTypeChanged", 1, param_slot_8 };
    static const TQUMethod slot_9 = {"okClicked", 0, 0 };
    static const TQUMethod slot_10 = {"functionAdd", 0, 0 };
    static const TQUMethod slot_11 = {"functionRemove", 0, 0 };
    static const TQUParameter param_slot_12[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_12 = {"displaySlots", 1, param_slot_12 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "currentItemChanged(TQListViewItem*)", &slot_1, TQMetaData::Protected },
	{ "currentSpecifierChanged(const TQString&)", &slot_2, TQMetaData::Protected },
	{ "currentTextChanged(const TQString&)", &slot_3, TQMetaData::Protected },
	{ "currentReturnTypeChanged(const TQString&)", &slot_4, TQMetaData::Protected },
	{ "destroy()", &slot_5, TQMetaData::Protected },
	{ "init()", &slot_6, TQMetaData::Protected },
	{ "currentAccessChanged(const TQString&)", &slot_7, TQMetaData::Protected },
	{ "currentTypeChanged(const TQString&)", &slot_8, TQMetaData::Protected },
	{ "okClicked()", &slot_9, TQMetaData::Protected },
	{ "functionAdd()", &slot_10, TQMetaData::Protected },
	{ "functionRemove()", &slot_11, TQMetaData::Protected },
	{ "displaySlots(bool)", &slot_12, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"EditFunctionsBase", parentObject,
	slot_tbl, 13,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_EditFunctionsBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* EditFunctionsBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EditFunctionsBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool EditFunctionsBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: currentItemChanged((TQListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 2: currentSpecifierChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 3: currentTextChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 4: currentReturnTypeChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 5: destroy(); break;
    case 6: init(); break;
    case 7: currentAccessChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 8: currentTypeChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 9: okClicked(); break;
    case 10: functionAdd(); break;
    case 11: functionRemove(); break;
    case 12: displaySlots((bool)static_QUType_bool.get(_o+1)); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool EditFunctionsBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool EditFunctionsBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool EditFunctionsBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
