#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gotolinedialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gotolinedialog.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "../interfaces/editorinterface.h"
#include "gotolinedialog.ui.h"

/*
 *  Constructs a GotoLineDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
GotoLineDialog::GotoLineDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "GotoLineDialog" );
    GotoLineDialogLayout = new TQGridLayout( this, 1, 1, 11, 6, "GotoLineDialogLayout"); 

    TextLabel1 = new TQLabel( this, "TextLabel1" );

    GotoLineDialogLayout->addWidget( TextLabel1, 0, 0 );

    spinLine = new TQSpinBox( this, "spinLine" );
    spinLine->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, spinLine->sizePolicy().hasHeightForWidth() ) );

    GotoLineDialogLayout->addWidget( spinLine, 0, 1 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Spacer2 );

    PushButton2 = new TQPushButton( this, "PushButton2" );
    PushButton2->setDefault( TRUE );
    Layout1->addWidget( PushButton2 );

    PushButton1 = new TQPushButton( this, "PushButton1" );
    Layout1->addWidget( PushButton1 );

    GotoLineDialogLayout->addMultiCellLayout( Layout1, 2, 2, 0, 1 );
    Spacer3 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    GotoLineDialogLayout->addItem( Spacer3, 1, 1 );
    languageChange();
    resize( TQSize(243, 85).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PushButton1, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( PushButton2, TQ_SIGNAL( clicked() ), this, TQ_SLOT( gotoLine() ) );

    // buddies
    TextLabel1->setBuddy( spinLine );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
GotoLineDialog::~GotoLineDialog()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GotoLineDialog::languageChange()
{
    setCaption( tr2i18n( "Goto Line" ) );
    TextLabel1->setText( tr2i18n( "&Line:" ) );
    PushButton2->setText( tr2i18n( "&Goto" ) );
    PushButton1->setText( tr2i18n( "&Close" ) );
}

/****************************************************************************
** GotoLineDialog meta object code from reading C++ file 'gotolinedialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "gotolinedialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *GotoLineDialog::className() const
{
    return "GotoLineDialog";
}

TQMetaObject *GotoLineDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_GotoLineDialog( "GotoLineDialog", &GotoLineDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString GotoLineDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "GotoLineDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString GotoLineDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "GotoLineDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* GotoLineDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"gotoLine", 0, 0 };
    static const TQUParameter param_slot_1[] = {
	{ "e", &static_QUType_ptr, "EditorInterface", TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"setEditor", 1, param_slot_1 };
    static const TQUMethod slot_2 = {"languageChange", 0, 0 };
    static const TQUMethod slot_3 = {"init", 0, 0 };
    static const TQUMethod slot_4 = {"destroy", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "gotoLine()", &slot_0, TQMetaData::Public },
	{ "setEditor(EditorInterface*)", &slot_1, TQMetaData::Public },
	{ "languageChange()", &slot_2, TQMetaData::Protected },
	{ "init()", &slot_3, TQMetaData::Protected },
	{ "destroy()", &slot_4, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"GotoLineDialog", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_GotoLineDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* GotoLineDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GotoLineDialog" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool GotoLineDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: gotoLine(); break;
    case 1: setEditor((EditorInterface*)static_QUType_ptr.get(_o+1)); break;
    case 2: languageChange(); break;
    case 3: init(); break;
    case 4: destroy(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool GotoLineDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool GotoLineDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool GotoLineDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
