#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'pixmapcollectioneditor.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "pixmapcollectioneditor.h"

#include <ntqvariant.h>
#include <tqfileinfo.h>
#include <tqimage.h>
#include <ntqiconview.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "pixmapcollection.h"
#include "pixmapchooser.h"
#include "project.h"
#include "pixmapcollectioneditor.ui.h"

/*
 *  Constructs a PixmapCollectionEditor as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
PixmapCollectionEditor::PixmapCollectionEditor( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "PixmapCollectionEditor" );
    PixmapCollectionEditorLayout = new TQVBoxLayout( this, 11, 6, "PixmapCollectionEditorLayout"); 

    viewPixmaps = new TQIconView( this, "viewPixmaps" );
    viewPixmaps->setResizeMode( TQIconView::Adjust );
    viewPixmaps->setItemsMovable( FALSE );
    PixmapCollectionEditorLayout->addWidget( viewPixmaps );

    Layout2 = new TQHBoxLayout( 0, 0, 6, "Layout2"); 

    PushButton2 = new TQPushButton( this, "PushButton2" );
    Layout2->addWidget( PushButton2 );

    PushButton3 = new TQPushButton( this, "PushButton3" );
    Layout2->addWidget( PushButton3 );
    Spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout2->addItem( Spacer2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setDefault( TRUE );
    Layout2->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    Layout2->addWidget( buttonCancel );

    buttonClose = new TQPushButton( this, "buttonClose" );
    buttonClose->setDefault( TRUE );
    Layout2->addWidget( buttonClose );
    PixmapCollectionEditorLayout->addLayout( Layout2 );
    languageChange();
    resize( TQSize(455, 260).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PushButton2, TQ_SIGNAL( clicked() ), this, TQ_SLOT( addPixmap() ) );
    connect( PushButton3, TQ_SIGNAL( clicked() ), this, TQ_SLOT( removePixmap() ) );
    connect( viewPixmaps, TQ_SIGNAL( currentChanged(TQIconViewItem*) ), this, TQ_SLOT( currentChanged(TQIconViewItem*) ) );
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( buttonClose, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );

    // tab order
    setTabOrder( PushButton2, PushButton3 );
    setTabOrder( PushButton3, viewPixmaps );
    setTabOrder( viewPixmaps, buttonClose );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
PixmapCollectionEditor::~PixmapCollectionEditor()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PixmapCollectionEditor::languageChange()
{
    setCaption( tr2i18n( "Manage Image Collection" ) );
    PushButton2->setText( tr2i18n( "&Add..." ) );
    PushButton3->setText( tr2i18n( "&Delete" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonClose->setText( tr2i18n( "C&lose" ) );
}

/****************************************************************************
** PixmapCollectionEditor meta object code from reading C++ file 'pixmapcollectioneditor.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "pixmapcollectioneditor.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

#include <ntqvariant.h>
const char *PixmapCollectionEditor::className() const
{
    return "PixmapCollectionEditor";
}

TQMetaObject *PixmapCollectionEditor::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_PixmapCollectionEditor( "PixmapCollectionEditor", &PixmapCollectionEditor::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString PixmapCollectionEditor::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PixmapCollectionEditor", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString PixmapCollectionEditor::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PixmapCollectionEditor", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* PixmapCollectionEditor::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"init", 0, 0 };
    static const TQUMethod slot_1 = {"destroy", 0, 0 };
    static const TQUMethod slot_2 = {"addPixmap", 0, 0 };
    static const TQUMethod slot_3 = {"removePixmap", 0, 0 };
    static const TQUMethod slot_4 = {"updateView", 0, 0 };
    static const TQUParameter param_slot_5[] = {
	{ "i", &static_QUType_ptr, "TQIconViewItem", TQUParameter::In }
    };
    static const TQUMethod slot_5 = {"currentChanged", 1, param_slot_5 };
    static const TQUParameter param_slot_6[] = {
	{ "c", &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_6 = {"setChooserMode", 1, param_slot_6 };
    static const TQUParameter param_slot_7[] = {
	{ "name", &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_7 = {"setCurrentItem", 1, param_slot_7 };
    static const TQUParameter param_slot_8[] = {
	{ "pro", &static_QUType_ptr, "Project", TQUParameter::In }
    };
    static const TQUMethod slot_8 = {"setProject", 1, param_slot_8 };
    static const TQUParameter param_slot_9[] = {
	{ 0, &static_QUType_TQVariant, "\x06", TQUParameter::Out },
	{ "p", &static_QUType_varptr, "\x06", TQUParameter::In }
    };
    static const TQUMethod slot_9 = {"scaledPixmap", 2, param_slot_9 };
    static const TQUMethod slot_10 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "init()", &slot_0, TQMetaData::Public },
	{ "destroy()", &slot_1, TQMetaData::Public },
	{ "addPixmap()", &slot_2, TQMetaData::Public },
	{ "removePixmap()", &slot_3, TQMetaData::Public },
	{ "updateView()", &slot_4, TQMetaData::Public },
	{ "currentChanged(TQIconViewItem*)", &slot_5, TQMetaData::Public },
	{ "setChooserMode(bool)", &slot_6, TQMetaData::Public },
	{ "setCurrentItem(const TQString&)", &slot_7, TQMetaData::Public },
	{ "setProject(Project*)", &slot_8, TQMetaData::Public },
	{ "scaledPixmap(const TQPixmap&)", &slot_9, TQMetaData::Public },
	{ "languageChange()", &slot_10, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"PixmapCollectionEditor", parentObject,
	slot_tbl, 11,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_PixmapCollectionEditor.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* PixmapCollectionEditor::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PixmapCollectionEditor" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool PixmapCollectionEditor::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init(); break;
    case 1: destroy(); break;
    case 2: addPixmap(); break;
    case 3: removePixmap(); break;
    case 4: updateView(); break;
    case 5: currentChanged((TQIconViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 6: setChooserMode((bool)static_QUType_bool.get(_o+1)); break;
    case 7: setCurrentItem((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 8: setProject((Project*)static_QUType_ptr.get(_o+1)); break;
    case 9: static_QUType_TQVariant.set(_o,TQVariant(scaledPixmap((const TQPixmap&)*((const TQPixmap*)static_QUType_ptr.get(_o+1))))); break;
    case 10: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool PixmapCollectionEditor::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool PixmapCollectionEditor::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool PixmapCollectionEditor::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
