#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'preferences.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "preferences.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqwidget.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqdatetimeedit.h>
#include <ntqbuttongroup.h>
#include <ntqtextedit.h>
#include <ntqspinbox.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "styledbutton.h"

/*
 *  Constructs a Preferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
Preferences::Preferences( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "Preferences" );
    setSizeGripEnabled( TRUE );
    PreferencesLayout = new TQVBoxLayout( this, 11, 6, "PreferencesLayout"); 

    tabWidget = new TQTabWidget( this, "tabWidget" );

    pageGeneral = new TQWidget( tabWidget, "pageGeneral" );
    pageGeneralLayout = new TQGridLayout( pageGeneral, 1, 1, 11, 6, "pageGeneralLayout"); 

    groupBox4 = new TQGroupBox( pageGeneral, "groupBox4" );
    groupBox4->setColumnLayout(0, TQt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new TQVBoxLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( TQt::AlignTop );

    checkBoxAutoSave = new TQCheckBox( groupBox4, "checkBoxAutoSave" );
    checkBoxAutoSave->setChecked( TRUE );
    groupBox4Layout->addWidget( checkBoxAutoSave );

    layout3 = new TQHBoxLayout( 0, 0, 6, "layout3"); 

    textLabelAutoSave = new TQLabel( groupBox4, "textLabelAutoSave" );
    layout3->addWidget( textLabelAutoSave );

    timeEditAutoSave = new TQTimeEdit( groupBox4, "timeEditAutoSave" );
    timeEditAutoSave->setTime( TQTime( 0, 30, 0 ) );
    layout3->addWidget( timeEditAutoSave );
    groupBox4Layout->addLayout( layout3 );

    pageGeneralLayout->addWidget( groupBox4, 1, 1 );

    buttonGroup2 = new TQButtonGroup( pageGeneral, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, TQt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new TQHBoxLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( TQt::AlignTop );

    textEditPluginPaths = new TQTextEdit( buttonGroup2, "textEditPluginPaths" );
    buttonGroup2Layout->addWidget( textEditPluginPaths );

    pageGeneralLayout->addMultiCellWidget( buttonGroup2, 2, 2, 0, 1 );
    Spacer3 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    pageGeneralLayout->addItem( Spacer3, 3, 1 );

    GroupBox5 = new TQGroupBox( pageGeneral, "GroupBox5" );
    GroupBox5->setColumnLayout(0, TQt::Vertical );
    GroupBox5->layout()->setSpacing( 6 );
    GroupBox5->layout()->setMargin( 11 );
    GroupBox5Layout = new TQVBoxLayout( GroupBox5->layout() );
    GroupBox5Layout->setAlignment( TQt::AlignTop );

    checkBoxWorkspace = new TQCheckBox( GroupBox5, "checkBoxWorkspace" );
    checkBoxWorkspace->setChecked( TRUE );
    GroupBox5Layout->addWidget( checkBoxWorkspace );

    checkBoxSplash = new TQCheckBox( GroupBox5, "checkBoxSplash" );
    checkBoxSplash->setChecked( TRUE );
    GroupBox5Layout->addWidget( checkBoxSplash );

    checkBoxStartDialog = new TQCheckBox( GroupBox5, "checkBoxStartDialog" );
    checkBoxStartDialog->setChecked( TRUE );
    GroupBox5Layout->addWidget( checkBoxStartDialog );

    checkAutoEdit = new TQCheckBox( GroupBox5, "checkAutoEdit" );
    checkAutoEdit->setChecked( TRUE );
    GroupBox5Layout->addWidget( checkAutoEdit );

    checkBoxTextLabels = new TQCheckBox( GroupBox5, "checkBoxTextLabels" );
    GroupBox5Layout->addWidget( checkBoxTextLabels );

    pageGeneralLayout->addWidget( GroupBox5, 1, 0 );

    groupBoxGrid = new TQGroupBox( pageGeneral, "groupBoxGrid" );
    groupBoxGrid->setCheckable( TRUE );
    groupBoxGrid->setColumnLayout(0, TQt::Vertical );
    groupBoxGrid->layout()->setSpacing( 6 );
    groupBoxGrid->layout()->setMargin( 11 );
    groupBoxGridLayout = new TQVBoxLayout( groupBoxGrid->layout() );
    groupBoxGridLayout->setAlignment( TQt::AlignTop );

    checkBoxSnapGrid = new TQCheckBox( groupBoxGrid, "checkBoxSnapGrid" );
    checkBoxSnapGrid->setChecked( TRUE );
    groupBoxGridLayout->addWidget( checkBoxSnapGrid );

    Layout4 = new TQGridLayout( 0, 1, 1, 0, 6, "Layout4"); 

    spinGridX = new TQSpinBox( groupBoxGrid, "spinGridX" );
    spinGridX->setMaxValue( 50 );
    spinGridX->setMinValue( 5 );
    spinGridX->setValue( 10 );

    Layout4->addWidget( spinGridX, 0, 1 );

    spinGridY = new TQSpinBox( groupBoxGrid, "spinGridY" );
    spinGridY->setMaxValue( 50 );
    spinGridY->setMinValue( 5 );
    spinGridY->setValue( 10 );

    Layout4->addWidget( spinGridY, 1, 1 );

    Label1 = new TQLabel( groupBoxGrid, "Label1" );

    Layout4->addWidget( Label1, 0, 0 );

    Label1_2 = new TQLabel( groupBoxGrid, "Label1_2" );

    Layout4->addWidget( Label1_2, 1, 0 );
    groupBoxGridLayout->addLayout( Layout4 );

    pageGeneralLayout->addWidget( groupBoxGrid, 0, 1 );

    ButtonGroup1 = new TQButtonGroup( pageGeneral, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, TQt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new TQGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( TQt::AlignTop );

    buttonColor = new StyledButton( ButtonGroup1, "buttonColor" );
    buttonColor->setEnabled( FALSE );
    buttonColor->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, buttonColor->sizePolicy().hasHeightForWidth() ) );
    buttonColor->setFocusPolicy( StyledButton::TabFocus );
    buttonColor->setProperty( "scale", TQVariant( FALSE ) );

    ButtonGroup1Layout->addWidget( buttonColor, 0, 1 );

    radioColor = new TQRadioButton( ButtonGroup1, "radioColor" );
    radioColor->setFocusPolicy( TQRadioButton::NoFocus );

    ButtonGroup1Layout->addWidget( radioColor, 0, 0 );

    radioPixmap = new TQRadioButton( ButtonGroup1, "radioPixmap" );
    radioPixmap->setChecked( TRUE );

    ButtonGroup1Layout->addWidget( radioPixmap, 1, 0 );

    buttonPixmap = new StyledButton( ButtonGroup1, "buttonPixmap" );
    buttonPixmap->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, buttonPixmap->sizePolicy().hasHeightForWidth() ) );
    buttonPixmap->setFocusPolicy( StyledButton::TabFocus );
    buttonPixmap->setProperty( "scale", TQVariant( FALSE ) );

    ButtonGroup1Layout->addWidget( buttonPixmap, 1, 1 );

    pageGeneralLayout->addWidget( ButtonGroup1, 0, 0 );
    tabWidget->insertTab( pageGeneral, TQString::fromLatin1("") );
    PreferencesLayout->addWidget( tabWidget );

    Layout6 = new TQHBoxLayout( 0, 0, 6, "Layout6"); 

    helpButton = new TQPushButton( this, "helpButton" );
    helpButton->setAutoDefault( TRUE );
    Layout6->addWidget( helpButton );
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout6->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout6->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    buttonCancel->setDefault( FALSE );
    Layout6->addWidget( buttonCancel );
    PreferencesLayout->addLayout( Layout6 );
    languageChange();
    resize( TQSize(482, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( radioColor, TQ_SIGNAL( toggled(bool) ), buttonColor, TQ_SLOT( setEnabled(bool) ) );
    connect( radioPixmap, TQ_SIGNAL( toggled(bool) ), buttonPixmap, TQ_SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( buttonOk, buttonCancel );
    setTabOrder( buttonCancel, tabWidget );
    setTabOrder( tabWidget, radioColor );
    setTabOrder( radioColor, radioPixmap );
    setTabOrder( radioPixmap, buttonColor );
    setTabOrder( buttonColor, buttonPixmap );
    setTabOrder( buttonPixmap, checkBoxSnapGrid );
    setTabOrder( checkBoxSnapGrid, spinGridX );
    setTabOrder( spinGridX, spinGridY );
    setTabOrder( spinGridY, checkBoxWorkspace );
    setTabOrder( checkBoxWorkspace, checkBoxSplash );
    setTabOrder( checkBoxSplash, checkBoxStartDialog );
    setTabOrder( checkBoxStartDialog, checkAutoEdit );
    setTabOrder( checkAutoEdit, checkBoxTextLabels );
    setTabOrder( checkBoxTextLabels, helpButton );

    // buddies
    textLabelAutoSave->setBuddy( timeEditAutoSave );
    Label1->setBuddy( spinGridX );
    Label1_2->setBuddy( spinGridY );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
Preferences::~Preferences()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Preferences::languageChange()
{
    setCaption( tr2i18n( "Preferences" ) );
    TQWhatsThis::add( this, tr2i18n( "<b>Preferences</b><p>Change the preferences of Qt Designer. There is always one tab with general preferences. There may be additional tabs, depending on which plugins are installed.</p>" ) );
    groupBox4->setTitle( tr2i18n( "File Saving" ) );
    checkBoxAutoSave->setText( tr2i18n( "Enable auto sa&ve" ) );
    textLabelAutoSave->setText( tr2i18n( "Auto save &interval:" ) );
    buttonGroup2->setTitle( tr2i18n( "Plu&gin Paths" ) );
    GroupBox5->setTitle( tr2i18n( "Ge&neral" ) );
    checkBoxWorkspace->setText( tr2i18n( "Restore last &workspace on startup" ) );
    TQToolTip::add( checkBoxWorkspace, tr2i18n( "Restore last workspace" ) );
    TQWhatsThis::add( checkBoxWorkspace, tr2i18n( "The current workspace settings will be restored the next time you start Qt Designer if this option is checked." ) );
    checkBoxSplash->setText( tr2i18n( "Show &splash screen on startup" ) );
    TQToolTip::add( checkBoxSplash, tr2i18n( "Show Splashscreen" ) );
    TQWhatsThis::add( checkBoxSplash, tr2i18n( "A splash screen is displayed when starting Qt Designer if this option is checked." ) );
    checkBoxStartDialog->setText( tr2i18n( "Show start &dialog" ) );
    checkAutoEdit->setText( tr2i18n( "Disable data&base auto-edit in preview" ) );
    checkBoxTextLabels->setText( tr2i18n( "Show toolbutton lab&els" ) );
    TQToolTip::add( checkBoxTextLabels, tr2i18n( "Text Labels" ) );
    TQWhatsThis::add( checkBoxTextLabels, tr2i18n( "Text labels will be used in the toolbars if this is checked." ) );
    groupBoxGrid->setTitle( tr2i18n( "G&rid" ) );
    TQWhatsThis::add( groupBoxGrid, TQString::null );
    checkBoxSnapGrid->setText( tr2i18n( "Sn&ap to grid" ) );
    TQToolTip::add( checkBoxSnapGrid, tr2i18n( "Snap to the grid" ) );
    TQWhatsThis::add( checkBoxSnapGrid, tr2i18n( "<b>Customize the grid-settings for all forms.</b><p>When <b>Snap to Grid</b> is checked, the widgets snap to the grid using the the X/Y resolution.</p>" ) );
    TQToolTip::add( spinGridX, tr2i18n( "Grid resolution" ) );
    TQWhatsThis::add( spinGridX, tr2i18n( "<b>Customize the grid-settings for all forms.</b><p>When <b>Show Grid</b> is checked, a grid is shown on all forms using the X/Y resolution.</p>" ) );
    TQToolTip::add( spinGridY, tr2i18n( "Grid resolution" ) );
    TQWhatsThis::add( spinGridY, tr2i18n( "<b>Customize the grid-settings for all forms.</b><p>When <b>Show Grid</b> is checked, a grid is shown on all forms using the X/Y resolution.</p>" ) );
    Label1->setText( tr2i18n( "Grid-&X:" ) );
    Label1_2->setText( tr2i18n( "Grid-&Y:" ) );
    ButtonGroup1->setTitle( tr2i18n( "Backgro&und" ) );
    TQToolTip::add( buttonColor, tr2i18n( "Choose a color" ) );
    TQWhatsThis::add( buttonColor, tr2i18n( "Select a color in the color dialog." ) );
    radioColor->setText( tr2i18n( "Co&lor" ) );
    TQToolTip::add( radioColor, tr2i18n( "Use a background color" ) );
    TQWhatsThis::add( radioColor, tr2i18n( "Use a background color." ) );
    radioPixmap->setText( tr2i18n( "&Pixmap" ) );
    TQToolTip::add( radioPixmap, tr2i18n( "Use a background pixmap" ) );
    TQWhatsThis::add( radioPixmap, tr2i18n( "Use a background pixmap." ) );
    TQToolTip::add( buttonPixmap, tr2i18n( "Select a pixmap" ) );
    TQWhatsThis::add( buttonPixmap, tr2i18n( "Choose a pixmap file." ) );
    tabWidget->changeTab( pageGeneral, tr2i18n( "General" ) );
    helpButton->setText( tr2i18n( "&Help" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    TQWhatsThis::add( buttonOk, tr2i18n( "Close the dialog and apply all the changes." ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    TQWhatsThis::add( buttonCancel, tr2i18n( "Close the dialog and discard any changes." ) );
}

void Preferences::init()
{
}

void Preferences::destroy()
{
}

/****************************************************************************
** Preferences meta object code from reading C++ file 'preferences.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "preferences.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Preferences::className() const
{
    return "Preferences";
}

TQMetaObject *Preferences::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Preferences( "Preferences", &Preferences::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Preferences::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Preferences", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Preferences::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Preferences", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Preferences::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"init", 0, 0 };
    static const TQUMethod slot_2 = {"destroy", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "init()", &slot_1, TQMetaData::Protected },
	{ "destroy()", &slot_2, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Preferences", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Preferences.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Preferences::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Preferences" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool Preferences::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: init(); break;
    case 2: destroy(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Preferences::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Preferences::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool Preferences::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
