#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'startdialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "startdialog.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqwidget.h>
#include <ntqiconview.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a StartDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
StartDialogBase::StartDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "StartDialogBase" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeGripEnabled( TRUE );
    StartDialogBaseLayout = new TQVBoxLayout( this, 11, 6, "StartDialogBaseLayout"); 

    tabWidget = new TQTabWidget( this, "tabWidget" );

    Widget8 = new TQWidget( tabWidget, "Widget8" );
    Widget8Layout = new TQGridLayout( Widget8, 1, 1, 11, 6, "Widget8Layout"); 

    templateView = new TQIconView( Widget8, "templateView" );
    templateView->setGridX( 120 );
    templateView->setResizeMode( TQIconView::Adjust );
    templateView->setItemsMovable( FALSE );

    Widget8Layout->addMultiCellWidget( templateView, 1, 1, 0, 2 );
    tabWidget->insertTab( Widget8, TQString::fromLatin1("") );

    tab = new TQWidget( tabWidget, "tab" );
    tabLayout = new TQHBoxLayout( tab, 11, 6, "tabLayout"); 
    tabWidget->insertTab( tab, TQString::fromLatin1("") );

    Widget9 = new TQWidget( tabWidget, "Widget9" );
    Widget9Layout = new TQGridLayout( Widget9, 1, 1, 11, 6, "Widget9Layout"); 

    recentView = new TQIconView( Widget9, "recentView" );
    recentView->setFocusPolicy( TQIconView::WheelFocus );
    recentView->setGridX( 120 );
    recentView->setResizeMode( TQIconView::Adjust );
    recentView->setItemsMovable( FALSE );

    Widget9Layout->addWidget( recentView, 0, 0 );

    fileInfoLabel = new TQLabel( Widget9, "fileInfoLabel" );
    fileInfoLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)2, (TQSizePolicy::SizeType)5, 0, 0, fileInfoLabel->sizePolicy().hasHeightForWidth() ) );

    Widget9Layout->addWidget( fileInfoLabel, 1, 0 );
    tabWidget->insertTab( Widget9, TQString::fromLatin1("") );
    StartDialogBaseLayout->addWidget( tabWidget );

    checkShowInFuture = new TQCheckBox( this, "checkShowInFuture" );
    StartDialogBaseLayout->addWidget( checkShowInFuture );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new TQPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new TQSpacerItem( 0, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    StartDialogBaseLayout->addLayout( Layout1 );
    languageChange();
    resize( TQSize(576, 420).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( templateView, TQ_SIGNAL( doubleClicked(TQIconViewItem*) ), this, TQ_SLOT( accept() ) );
    connect( templateView, TQ_SIGNAL( returnPressed(TQIconViewItem*) ), this, TQ_SLOT( accept() ) );
    connect( recentView, TQ_SIGNAL( doubleClicked(TQIconViewItem*) ), this, TQ_SLOT( accept() ) );
    connect( recentView, TQ_SIGNAL( onItem(TQIconViewItem*) ), this, TQ_SLOT( recentItemChanged(TQIconViewItem*) ) );
    connect( recentView, TQ_SIGNAL( onViewport() ), this, TQ_SLOT( clearFileInfo() ) );
    connect( recentView, TQ_SIGNAL( returnPressed(TQIconViewItem*) ), this, TQ_SLOT( accept() ) );
    connect( recentView, TQ_SIGNAL( selectionChanged(TQIconViewItem*) ), this, TQ_SLOT( recentItemChanged(TQIconViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
StartDialogBase::~StartDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StartDialogBase::languageChange()
{
    setCaption( tr2i18n( "Qt Designer - New/Open" ) );
    tabWidget->changeTab( Widget8, tr2i18n( "&New File/Project" ) );
    tabWidget->changeTab( tab, tr2i18n( "&Open File/Project" ) );
    fileInfoLabel->setText( TQString::null );
    tabWidget->changeTab( Widget9, tr2i18n( "&Recently Opened" ) );
    checkShowInFuture->setText( tr2i18n( "&Do not show this dialog in the future" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

void StartDialogBase::recentItemChanged(TQIconViewItem*)
{
    tqWarning( "StartDialogBase::recentItemChanged(TQIconViewItem*): Not implemented yet" );
}

void StartDialogBase::clearFileInfo()
{
    tqWarning( "StartDialogBase::clearFileInfo(): Not implemented yet" );
}

void StartDialogBase::accept()
{
    tqWarning( "StartDialogBase::accept(): Not implemented yet" );
}

void StartDialogBase::reject()
{
    tqWarning( "StartDialogBase::reject(): Not implemented yet" );
}

/****************************************************************************
** StartDialogBase meta object code from reading C++ file 'startdialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "startdialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *StartDialogBase::className() const
{
    return "StartDialogBase";
}

TQMetaObject *StartDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_StartDialogBase( "StartDialogBase", &StartDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString StartDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "StartDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString StartDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "StartDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* StartDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_ptr, "TQIconViewItem", TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"recentItemChanged", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"clearFileInfo", 0, 0 };
    static const TQUMethod slot_2 = {"accept", 0, 0 };
    static const TQUMethod slot_3 = {"reject", 0, 0 };
    static const TQUMethod slot_4 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "recentItemChanged(TQIconViewItem*)", &slot_0, TQMetaData::Public },
	{ "clearFileInfo()", &slot_1, TQMetaData::Public },
	{ "accept()", &slot_2, TQMetaData::Public },
	{ "reject()", &slot_3, TQMetaData::Public },
	{ "languageChange()", &slot_4, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"StartDialogBase", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_StartDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* StartDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "StartDialogBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool StartDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: recentItemChanged((TQIconViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 1: clearFileInfo(); break;
    case 2: accept(); break;
    case 3: reject(); break;
    case 4: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool StartDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool StartDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool StartDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
