#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'wizardeditor.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wizardeditor.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlistbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>

#include "myiconloader.h"
/*
 *  Constructs a WizardEditorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
WizardEditorBase::WizardEditorBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "WizardEditorBase" );
    WizardEditorBaseLayout = new TQVBoxLayout( this, 11, 6, "WizardEditorBaseLayout"); 

    Layout19 = new TQHBoxLayout( 0, 0, 6, "Layout19"); 

    Layout14 = new TQVBoxLayout( 0, 0, 2, "Layout14"); 

    pagesLabel = new TQLabel( this, "pagesLabel" );
    Layout14->addWidget( pagesLabel );

    listBox = new TQListBox( this, "listBox" );
    Layout14->addWidget( listBox );
    Layout19->addLayout( Layout14 );

    Layout18 = new TQVBoxLayout( 0, 0, 6, "Layout18"); 

    buttonAdd = new TQPushButton( this, "buttonAdd" );
    Layout18->addWidget( buttonAdd );

    buttonRemove = new TQPushButton( this, "buttonRemove" );
    Layout18->addWidget( buttonRemove );
    Spacer11 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout18->addItem( Spacer11 );

    buttonUp = new TQPushButton( this, "buttonUp" );
    buttonUp->setPixmap( BarIcon2( "designer_s_up.png" ) );
    Layout18->addWidget( buttonUp );

    buttonDown = new TQPushButton( this, "buttonDown" );
    buttonDown->setPixmap( BarIcon2( "designer_s_down.png" ) );
    Layout18->addWidget( buttonDown );
    Layout19->addLayout( Layout18 );
    WizardEditorBaseLayout->addLayout( Layout19 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new TQPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonApply = new TQPushButton( this, "buttonApply" );
    buttonApply->setAutoDefault( TRUE );
    Layout1->addWidget( buttonApply );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    WizardEditorBaseLayout->addLayout( Layout1 );
    languageChange();
    resize( TQSize(396, 233).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonHelp, TQ_SIGNAL( clicked() ), this, TQ_SLOT( helpClicked() ) );
    connect( buttonApply, TQ_SIGNAL( clicked() ), this, TQ_SLOT( applyClicked() ) );
    connect( buttonUp, TQ_SIGNAL( clicked() ), this, TQ_SLOT( upClicked() ) );
    connect( buttonDown, TQ_SIGNAL( clicked() ), this, TQ_SLOT( downClicked() ) );
    connect( buttonAdd, TQ_SIGNAL( clicked() ), this, TQ_SLOT( addClicked() ) );
    connect( buttonRemove, TQ_SIGNAL( clicked() ), this, TQ_SLOT( removeClicked() ) );
    connect( listBox, TQ_SIGNAL( selected(int) ), this, TQ_SLOT( itemSelected(int) ) );
    connect( listBox, TQ_SIGNAL( highlighted(int) ), this, TQ_SLOT( itemHighlighted(int) ) );
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( okClicked() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( cancelClicked() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
WizardEditorBase::~WizardEditorBase()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WizardEditorBase::languageChange()
{
    setCaption( tr2i18n( "Wizard Page Editor" ) );
    pagesLabel->setText( tr2i18n( "Wizard pages:" ) );
    buttonAdd->setText( tr2i18n( "A&dd" ) );
    buttonRemove->setText( tr2i18n( "&Remove" ) );
    buttonUp->setText( TQString::null );
    buttonDown->setText( TQString::null );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    TQWhatsThis::add( buttonOk, tr2i18n( "Close the dialog and apply all the changes." ) );
    buttonApply->setText( tr2i18n( "&Apply" ) );
    TQWhatsThis::add( buttonApply, tr2i18n( "Apply all changes." ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    TQWhatsThis::add( buttonCancel, tr2i18n( "Close the dialog and discard any changes." ) );
}

void WizardEditorBase::init()
{
}

void WizardEditorBase::destroy()
{
}

void WizardEditorBase::addClicked()
{
    tqWarning( "WizardEditorBase::addClicked(): Not implemented yet" );
}

void WizardEditorBase::applyClicked()
{
    tqWarning( "WizardEditorBase::applyClicked(): Not implemented yet" );
}

void WizardEditorBase::cancelClicked()
{
    tqWarning( "WizardEditorBase::cancelClicked(): Not implemented yet" );
}

void WizardEditorBase::downClicked()
{
    tqWarning( "WizardEditorBase::downClicked(): Not implemented yet" );
}

void WizardEditorBase::helpClicked()
{
    tqWarning( "WizardEditorBase::helpClicked(): Not implemented yet" );
}

void WizardEditorBase::itemHighlighted(int)
{
    tqWarning( "WizardEditorBase::itemHighlighted(int): Not implemented yet" );
}

void WizardEditorBase::itemSelected(int)
{
    tqWarning( "WizardEditorBase::itemSelected(int): Not implemented yet" );
}

void WizardEditorBase::okClicked()
{
    tqWarning( "WizardEditorBase::okClicked(): Not implemented yet" );
}

void WizardEditorBase::removeClicked()
{
    tqWarning( "WizardEditorBase::removeClicked(): Not implemented yet" );
}

void WizardEditorBase::upClicked()
{
    tqWarning( "WizardEditorBase::upClicked(): Not implemented yet" );
}

/****************************************************************************
** WizardEditorBase meta object code from reading C++ file 'wizardeditor.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "wizardeditor.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *WizardEditorBase::className() const
{
    return "WizardEditorBase";
}

TQMetaObject *WizardEditorBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_WizardEditorBase( "WizardEditorBase", &WizardEditorBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString WizardEditorBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "WizardEditorBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString WizardEditorBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "WizardEditorBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* WizardEditorBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"init", 0, 0 };
    static const TQUMethod slot_2 = {"destroy", 0, 0 };
    static const TQUMethod slot_3 = {"addClicked", 0, 0 };
    static const TQUMethod slot_4 = {"applyClicked", 0, 0 };
    static const TQUMethod slot_5 = {"cancelClicked", 0, 0 };
    static const TQUMethod slot_6 = {"downClicked", 0, 0 };
    static const TQUMethod slot_7 = {"helpClicked", 0, 0 };
    static const TQUParameter param_slot_8[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_8 = {"itemHighlighted", 1, param_slot_8 };
    static const TQUParameter param_slot_9[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_9 = {"itemSelected", 1, param_slot_9 };
    static const TQUMethod slot_10 = {"okClicked", 0, 0 };
    static const TQUMethod slot_11 = {"removeClicked", 0, 0 };
    static const TQUMethod slot_12 = {"upClicked", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "init()", &slot_1, TQMetaData::Protected },
	{ "destroy()", &slot_2, TQMetaData::Protected },
	{ "addClicked()", &slot_3, TQMetaData::Protected },
	{ "applyClicked()", &slot_4, TQMetaData::Protected },
	{ "cancelClicked()", &slot_5, TQMetaData::Protected },
	{ "downClicked()", &slot_6, TQMetaData::Protected },
	{ "helpClicked()", &slot_7, TQMetaData::Protected },
	{ "itemHighlighted(int)", &slot_8, TQMetaData::Protected },
	{ "itemSelected(int)", &slot_9, TQMetaData::Protected },
	{ "okClicked()", &slot_10, TQMetaData::Protected },
	{ "removeClicked()", &slot_11, TQMetaData::Protected },
	{ "upClicked()", &slot_12, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"WizardEditorBase", parentObject,
	slot_tbl, 13,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_WizardEditorBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* WizardEditorBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "WizardEditorBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool WizardEditorBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: init(); break;
    case 2: destroy(); break;
    case 3: addClicked(); break;
    case 4: applyClicked(); break;
    case 5: cancelClicked(); break;
    case 6: downClicked(); break;
    case 7: helpClicked(); break;
    case 8: itemHighlighted((int)static_QUType_int.get(_o+1)); break;
    case 9: itemSelected((int)static_QUType_int.get(_o+1)); break;
    case 10: okClicked(); break;
    case 11: removeClicked(); break;
    case 12: upClicked(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool WizardEditorBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool WizardEditorBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool WizardEditorBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
