#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'ctags2_selecttagfilebase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ctags2_selecttagfilebase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kurlrequester.h>
#include <ntqlabel.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SelectTagFileBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SelectTagFileBase::SelectTagFileBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SelectTagFileBase" );
    SelectTagFileBaseLayout = new TQVBoxLayout( this, 11, 6, "SelectTagFileBaseLayout"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    SelectTagFileBaseLayout->addWidget( textLabel1 );

    displayName = new KLineEdit( this, "displayName" );
    SelectTagFileBaseLayout->addWidget( displayName );

    textLabel2 = new TQLabel( this, "textLabel2" );
    SelectTagFileBaseLayout->addWidget( textLabel2 );

    tagFile = new KURLRequester( this, "tagFile" );
    SelectTagFileBaseLayout->addWidget( tagFile );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 
    spacer2 = new TQSpacerItem( 101, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer2 );

    okButton = new TQPushButton( this, "okButton" );
    layout4->addWidget( okButton );

    cancelButton = new TQPushButton( this, "cancelButton" );
    layout4->addWidget( cancelButton );
    SelectTagFileBaseLayout->addLayout( layout4 );
    languageChange();
    resize( TQSize(373, 146).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( okButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( displayName, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( validate() ) );
    connect( tagFile, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( validate() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SelectTagFileBase::~SelectTagFileBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SelectTagFileBase::languageChange()
{
    setCaption( tr2i18n( "Add tags file" ) );
    textLabel1->setText( tr2i18n( "Name:" ) );
    textLabel2->setText( tr2i18n( "Tags file:" ) );
    okButton->setText( tr2i18n( "O&K" ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
}

void SelectTagFileBase::validate()
{
    tqWarning( "SelectTagFileBase::validate(): Not implemented yet" );
}

/****************************************************************************
** SelectTagFileBase meta object code from reading C++ file 'ctags2_selecttagfilebase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "ctags2_selecttagfilebase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SelectTagFileBase::className() const
{
    return "SelectTagFileBase";
}

TQMetaObject *SelectTagFileBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SelectTagFileBase( "SelectTagFileBase", &SelectTagFileBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SelectTagFileBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SelectTagFileBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SelectTagFileBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SelectTagFileBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SelectTagFileBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"validate", 0, 0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "validate()", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SelectTagFileBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SelectTagFileBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SelectTagFileBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SelectTagFileBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool SelectTagFileBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: validate(); break;
    case 1: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SelectTagFileBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SelectTagFileBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool SelectTagFileBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
