#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'addcatalogdlgbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "addcatalogdlgbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kurlrequester.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a AddCatalogDlgBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
AddCatalogDlgBase::AddCatalogDlgBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AddCatalogDlgBase" );
    AddCatalogDlgBaseLayout = new TQVBoxLayout( this, 11, 6, "AddCatalogDlgBaseLayout"); 

    layout20 = new TQGridLayout( 0, 1, 1, 0, 6, "layout20"); 

    titleEdit = new KLineEdit( this, "titleEdit" );
    titleEdit->setEnabled( FALSE );

    layout20->addWidget( titleEdit, 3, 0 );

    textLabel3 = new TQLabel( this, "textLabel3" );

    layout20->addWidget( textLabel3, 4, 0 );
    spacer2 = new TQSpacerItem( 20, 18, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout20->addItem( spacer2, 6, 0 );

    locationURL = new KURLRequester( this, "locationURL" );

    layout20->addWidget( locationURL, 1, 0 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    layout20->addWidget( textLabel1, 0, 0 );

    titleLabel = new TQLabel( this, "titleLabel" );
    titleLabel->setEnabled( FALSE );

    layout20->addWidget( titleLabel, 2, 0 );

    docTypeCombo = new TQComboBox( FALSE, this, "docTypeCombo" );

    layout20->addWidget( docTypeCombo, 5, 0 );
    AddCatalogDlgBaseLayout->addLayout( layout20 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    AddCatalogDlgBaseLayout->addLayout( Layout1 );
    languageChange();
    resize( TQSize(398, 222).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( locationURL, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( locationURLChanged(const TQString&) ) );
    connect( docTypeCombo, TQ_SIGNAL( activated(const TQString&) ), this, TQ_SLOT( docTypeChanged(const TQString&) ) );
    connect( locationURL, TQ_SIGNAL( urlSelected(const TQString&) ), this, TQ_SLOT( locationURLChanged(const TQString&) ) );

    // buddies
    textLabel1->setBuddy( locationURL );
    titleLabel->setBuddy( titleEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddCatalogDlgBase::~AddCatalogDlgBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AddCatalogDlgBase::languageChange()
{
    setCaption( tr2i18n( "Documentation Catalog Properties" ) );
    textLabel3->setText( tr2i18n( "Type:" ) );
    textLabel1->setText( tr2i18n( "Locatio&n:" ) );
    titleLabel->setText( tr2i18n( "&Title:" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

void AddCatalogDlgBase::locationURLChanged(const TQString&)
{
    tqWarning( "AddCatalogDlgBase::locationURLChanged(const TQString&): Not implemented yet" );
}

void AddCatalogDlgBase::docTypeChanged(const TQString&)
{
    tqWarning( "AddCatalogDlgBase::docTypeChanged(const TQString&): Not implemented yet" );
}

/****************************************************************************
** AddCatalogDlgBase meta object code from reading C++ file 'addcatalogdlgbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "addcatalogdlgbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *AddCatalogDlgBase::className() const
{
    return "AddCatalogDlgBase";
}

TQMetaObject *AddCatalogDlgBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_AddCatalogDlgBase( "AddCatalogDlgBase", &AddCatalogDlgBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString AddCatalogDlgBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "AddCatalogDlgBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString AddCatalogDlgBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "AddCatalogDlgBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* AddCatalogDlgBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"locationURLChanged", 1, param_slot_0 };
    static const TQUParameter param_slot_1[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"docTypeChanged", 1, param_slot_1 };
    static const TQUMethod slot_2 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "locationURLChanged(const TQString&)", &slot_0, TQMetaData::Public },
	{ "docTypeChanged(const TQString&)", &slot_1, TQMetaData::Public },
	{ "languageChange()", &slot_2, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"AddCatalogDlgBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_AddCatalogDlgBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* AddCatalogDlgBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AddCatalogDlgBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool AddCatalogDlgBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: locationURLChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 1: docTypeChanged((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 2: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool AddCatalogDlgBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool AddCatalogDlgBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool AddCatalogDlgBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
