#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'find_documentation_optionsbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "find_documentation_optionsbase.h"

#include <ntqvariant.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a FindDocumentationOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
FindDocumentationOptionsBase::FindDocumentationOptionsBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FindDocumentationOptionsBase" );
    setSizeGripEnabled( TRUE );
    FindDocumentationOptionsBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "FindDocumentationOptionsBaseLayout"); 

    source_list = new TQListView( this, "source_list" );
    source_list->addColumn( TQString::null );

    FindDocumentationOptionsBaseLayout->addWidget( source_list, 1, 0 );

    Layout9_3 = new TQVBoxLayout( 0, 0, 6, "Layout9_3"); 
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout9_3->addItem( Spacer5 );

    moveup_button = new TQPushButton( this, "moveup_button" );
    Layout9_3->addWidget( moveup_button );

    movedown_button = new TQPushButton( this, "movedown_button" );
    Layout9_3->addWidget( movedown_button );
    Spacer6 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout9_3->addItem( Spacer6 );

    FindDocumentationOptionsBaseLayout->addLayout( Layout9_3, 1, 1 );

    goto_first_match = new TQCheckBox( this, "goto_first_match" );

    FindDocumentationOptionsBaseLayout->addMultiCellWidget( goto_first_match, 2, 2, 0, 1 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    FindDocumentationOptionsBaseLayout->addMultiCellLayout( Layout1, 3, 3, 0, 1 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    FindDocumentationOptionsBaseLayout->addMultiCellWidget( textLabel1, 0, 0, 0, 1 );
    languageChange();
    resize( TQSize(349, 310).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( moveup_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( sourceMoveUp() ) );
    connect( movedown_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( sourceMoveDown() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FindDocumentationOptionsBase::~FindDocumentationOptionsBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FindDocumentationOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Find Documentation Options" ) );
    source_list->header()->setLabel( 0, TQString::null );
    moveup_button->setText( tr2i18n( "Move &Up" ) );
    movedown_button->setText( tr2i18n( "Move &Down" ) );
    goto_first_match->setText( tr2i18n( "Go to first match" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    textLabel1->setText( tr2i18n( "You can enable and disable search\n"
"sources and change their priority here." ) );
}

void FindDocumentationOptionsBase::sourceMoveUp()
{
    tqWarning( "FindDocumentationOptionsBase::sourceMoveUp(): Not implemented yet" );
}

void FindDocumentationOptionsBase::sourceMoveDown()
{
    tqWarning( "FindDocumentationOptionsBase::sourceMoveDown(): Not implemented yet" );
}

/****************************************************************************
** FindDocumentationOptionsBase meta object code from reading C++ file 'find_documentation_optionsbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "find_documentation_optionsbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *FindDocumentationOptionsBase::className() const
{
    return "FindDocumentationOptionsBase";
}

TQMetaObject *FindDocumentationOptionsBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_FindDocumentationOptionsBase( "FindDocumentationOptionsBase", &FindDocumentationOptionsBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString FindDocumentationOptionsBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FindDocumentationOptionsBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString FindDocumentationOptionsBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FindDocumentationOptionsBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* FindDocumentationOptionsBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"sourceMoveUp", 0, 0 };
    static const TQUMethod slot_1 = {"sourceMoveDown", 0, 0 };
    static const TQUMethod slot_2 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "sourceMoveUp()", &slot_0, TQMetaData::Public },
	{ "sourceMoveDown()", &slot_1, TQMetaData::Public },
	{ "languageChange()", &slot_2, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"FindDocumentationOptionsBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_FindDocumentationOptionsBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* FindDocumentationOptionsBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FindDocumentationOptionsBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool FindDocumentationOptionsBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: sourceMoveUp(); break;
    case 1: sourceMoveDown(); break;
    case 2: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool FindDocumentationOptionsBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool FindDocumentationOptionsBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool FindDocumentationOptionsBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
