#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'fctypeeditbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "fctypeeditbase.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <kicondialog.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "fctypeeditbase.ui.h"

/*
 *  Constructs a FCTypeEditBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
FCTypeEditBase::FCTypeEditBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FCTypeEditBase" );
    FCTypeEditBaseLayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "FCTypeEditBaseLayout"); 

    layout5 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "layout5"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setFrameShape( TQLabel::NoFrame );
    textLabel1->setFrameShadow( TQLabel::Plain );
    textLabel1->setAlignment( int( TQLabel::AlignBottom ) );
    layout5->addWidget( textLabel1 );

    typeext_edit = new TQLineEdit( this, "typeext_edit" );
    layout5->addWidget( typeext_edit );

    FCTypeEditBaseLayout->addLayout( layout5, 0, 0 );

    layout3 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 

    textLabel3 = new TQLabel( this, "textLabel3" );
    textLabel3->setAlignment( int( TQLabel::AlignBottom ) );
    layout3->addWidget( textLabel3 );

    typename_edit = new TQLineEdit( this, "typename_edit" );
    layout3->addWidget( typename_edit );

    FCTypeEditBaseLayout->addLayout( layout3, 0, 1 );

    layout3_2 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "layout3_2"); 

    textLabel3_2 = new TQLabel( this, "textLabel3_2" );
    textLabel3_2->setAlignment( int( TQLabel::AlignBottom ) );
    layout3_2->addWidget( textLabel3_2 );

    typedescr_edit = new TQLineEdit( this, "typedescr_edit" );
    layout3_2->addWidget( typedescr_edit );

    FCTypeEditBaseLayout->addMultiCellLayout( layout3_2, 1, 1, 0, 1 );

    icon_url = new TDEIconButton( this, "icon_url" );
    icon_url->setMinimumSize( TQSize( 80, 80 ) );
    icon_url->setFocusPolicy( TDEIconButton::StrongFocus );

    FCTypeEditBaseLayout->addMultiCellWidget( icon_url, 0, 1, 2, 2 );

    layout4 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "layout4"); 

    textLabel1_2 = new TQLabel( this, "textLabel1_2" );
    textLabel1_2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );
    textLabel1_2->setAlignment( int( TQLabel::AlignBottom ) );
    layout4->addWidget( textLabel1_2 );

    template_url = new KURLRequester( this, "template_url" );
    template_url->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, template_url->sizePolicy().hasHeightForWidth() ) );
    template_url->setMinimumSize( TQSize( 0, 26 ) );
    template_url->setFocusPolicy( KURLRequester::StrongFocus );
    layout4->addWidget( template_url );

    FCTypeEditBaseLayout->addMultiCellLayout( layout4, 2, 2, 0, 2 );

    layout1 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout1"); 
    spacer1 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    ok_button = new TQPushButton( this, "ok_button" );
    ok_button->setDefault( TRUE );
    layout1->addWidget( ok_button );

    cancel_button = new TQPushButton( this, "cancel_button" );
    layout1->addWidget( cancel_button );

    FCTypeEditBaseLayout->addMultiCellLayout( layout1, 4, 4, 0, 2 );
    languageChange();
    resize( TQSize(476, 194).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( ok_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( cancel_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );

    // tab order
    setTabOrder( typeext_edit, typename_edit );
    setTabOrder( typename_edit, typedescr_edit );
    setTabOrder( typedescr_edit, icon_url );
    setTabOrder( icon_url, template_url );
    setTabOrder( template_url, ok_button );
    setTabOrder( ok_button, cancel_button );

    // buddies
    textLabel1->setBuddy( typename_edit );
    textLabel3->setBuddy( typedescr_edit );
    textLabel3_2->setBuddy( typedescr_edit );
    textLabel1_2->setBuddy( template_url );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
FCTypeEditBase::~FCTypeEditBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FCTypeEditBase::languageChange()
{
    setCaption( tr2i18n( "File Type" ) );
    textLabel1->setText( tr2i18n( "Type &extension:" ) );
    textLabel3->setText( tr2i18n( "Type &name:" ) );
    textLabel3_2->setText( tr2i18n( "Type &description:" ) );
    icon_url->setText( TQString::null );
    textLabel1_2->setText( tr2i18n( "Set template content from &file:" ) );
    ok_button->setText( tr2i18n( "&OK" ) );
    cancel_button->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** FCTypeEditBase meta object code from reading C++ file 'fctypeeditbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "fctypeeditbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *FCTypeEditBase::className() const
{
    return "FCTypeEditBase";
}

TQMetaObject *FCTypeEditBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_FCTypeEditBase( "FCTypeEditBase", &FCTypeEditBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString FCTypeEditBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FCTypeEditBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString FCTypeEditBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FCTypeEditBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* FCTypeEditBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"init", 0, 0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "init()", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"FCTypeEditBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_FCTypeEditBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* FCTypeEditBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FCTypeEditBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool FCTypeEditBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init(); break;
    case 1: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool FCTypeEditBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool FCTypeEditBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool FCTypeEditBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
