#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'filegroupsconfigwidgetbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "filegroupsconfigwidgetbase.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a FileGroupsConfigWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
FileGroupsConfigWidgetBase::FileGroupsConfigWidgetBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "filegroups_config_widget" );
    filegroups_config_widgetLayout = new TQHBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "filegroups_config_widgetLayout"); 

    Layout3 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "Layout3"); 

    title_label = new TQLabel( this, "title_label" );
    Layout3->addWidget( title_label );

    listview = new TQListView( this, "listview" );
    listview->addColumn( tr2i18n( "Group" ) );
    listview->addColumn( tr2i18n( "Pattern" ) );
    listview->setAllColumnsShowFocus( TRUE );
    listview->setResizeMode( TQListView::AllColumns );
    Layout3->addWidget( listview );
    filegroups_config_widgetLayout->addLayout( Layout3 );

    Layout3_2 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "Layout3_2"); 
    Spacer6 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout3_2->addItem( Spacer6 );

    addgroup_button = new TQPushButton( this, "addgroup_button" );
    Layout3_2->addWidget( addgroup_button );

    editgroup_button = new TQPushButton( this, "editgroup_button" );
    Layout3_2->addWidget( editgroup_button );

    deletegroup_button = new TQPushButton( this, "deletegroup_button" );
    Layout3_2->addWidget( deletegroup_button );
    Spacer3 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout3_2->addItem( Spacer3 );

    moveup_button = new TQPushButton( this, "moveup_button" );
    Layout3_2->addWidget( moveup_button );

    movedown_button = new TQPushButton( this, "movedown_button" );
    Layout3_2->addWidget( movedown_button );
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout3_2->addItem( Spacer4 );
    filegroups_config_widgetLayout->addLayout( Layout3_2 );
    languageChange();
    resize( TQSize(599, 496).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( moveup_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( moveUp() ) );
    connect( deletegroup_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( removeGroup() ) );
    connect( addgroup_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( addGroup() ) );
    connect( editgroup_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( editGroup() ) );
    connect( movedown_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( moveDown() ) );

    // buddies
    title_label->setBuddy( listview );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FileGroupsConfigWidgetBase::~FileGroupsConfigWidgetBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FileGroupsConfigWidgetBase::languageChange()
{
    setCaption( tr2i18n( "File Group View" ) );
    title_label->setText( tr2i18n( "&Groups in the file view and their corresponding patterns:" ) );
    listview->header()->setLabel( 0, tr2i18n( "Group" ) );
    listview->header()->setLabel( 1, tr2i18n( "Pattern" ) );
    addgroup_button->setText( tr2i18n( "&Add Group..." ) );
    editgroup_button->setText( tr2i18n( "&Edit Group..." ) );
    deletegroup_button->setText( tr2i18n( "De&lete Group" ) );
    moveup_button->setText( tr2i18n( "Move &Up" ) );
    movedown_button->setText( tr2i18n( "Move &Down" ) );
}

void FileGroupsConfigWidgetBase::addGroup()
{
    tqWarning( "FileGroupsConfigWidgetBase::addGroup(): Not implemented yet" );
}

void FileGroupsConfigWidgetBase::editGroup()
{
    tqWarning( "FileGroupsConfigWidgetBase::editGroup(): Not implemented yet" );
}

void FileGroupsConfigWidgetBase::removeGroup()
{
    tqWarning( "FileGroupsConfigWidgetBase::removeGroup(): Not implemented yet" );
}

void FileGroupsConfigWidgetBase::moveUp()
{
    tqWarning( "FileGroupsConfigWidgetBase::moveUp(): Not implemented yet" );
}

void FileGroupsConfigWidgetBase::moveDown()
{
    tqWarning( "FileGroupsConfigWidgetBase::moveDown(): Not implemented yet" );
}

/****************************************************************************
** FileGroupsConfigWidgetBase meta object code from reading C++ file 'filegroupsconfigwidgetbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "filegroupsconfigwidgetbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *FileGroupsConfigWidgetBase::className() const
{
    return "FileGroupsConfigWidgetBase";
}

TQMetaObject *FileGroupsConfigWidgetBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_FileGroupsConfigWidgetBase( "FileGroupsConfigWidgetBase", &FileGroupsConfigWidgetBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString FileGroupsConfigWidgetBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FileGroupsConfigWidgetBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString FileGroupsConfigWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FileGroupsConfigWidgetBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* FileGroupsConfigWidgetBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"addGroup", 0, 0 };
    static const TQUMethod slot_2 = {"editGroup", 0, 0 };
    static const TQUMethod slot_3 = {"removeGroup", 0, 0 };
    static const TQUMethod slot_4 = {"moveUp", 0, 0 };
    static const TQUMethod slot_5 = {"moveDown", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "addGroup()", &slot_1, TQMetaData::Protected },
	{ "editGroup()", &slot_2, TQMetaData::Protected },
	{ "removeGroup()", &slot_3, TQMetaData::Protected },
	{ "moveUp()", &slot_4, TQMetaData::Protected },
	{ "moveDown()", &slot_5, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"FileGroupsConfigWidgetBase", parentObject,
	slot_tbl, 6,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_FileGroupsConfigWidgetBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* FileGroupsConfigWidgetBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FileGroupsConfigWidgetBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool FileGroupsConfigWidgetBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: addGroup(); break;
    case 2: editGroup(); break;
    case 3: removeGroup(); break;
    case 4: moveUp(); break;
    case 5: moveDown(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool FileGroupsConfigWidgetBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool FileGroupsConfigWidgetBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool FileGroupsConfigWidgetBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
