#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'integratordlgbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "integratordlgbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqcombobox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a IntegratorDlgBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
IntegratorDlgBase::IntegratorDlgBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "IntegratorDlgBase" );
    IntegratorDlgBaseLayout = new TQGridLayout( this, 1, 1, 0, 6, "IntegratorDlgBaseLayout"); 

    createModule = new TQCheckBox( this, "createModule" );

    IntegratorDlgBaseLayout->addMultiCellWidget( createModule, 0, 0, 0, 1 );

    layout1 = new TQGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    vendorTag = new KLineEdit( this, "vendorTag" );
    vendorTag->setEnabled( FALSE );

    layout1->addMultiCellWidget( vendorTag, 3, 3, 1, 4 );

    init = new TQPushButton( this, "init" );
    init->setEnabled( FALSE );
    init->setAutoDefault( FALSE );

    layout1->addWidget( init, 1, 4 );

    repository = new TQComboBox( FALSE, this, "repository" );
    repository->setEnabled( FALSE );
    repository->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, repository->sizePolicy().hasHeightForWidth() ) );
    repository->setEditable( TRUE );

    layout1->addMultiCellWidget( repository, 0, 0, 1, 4 );

    login = new TQPushButton( this, "login" );
    login->setEnabled( FALSE );
    login->setAutoDefault( FALSE );

    layout1->addWidget( login, 1, 3 );
    spacer8 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout1->addItem( spacer8, 1, 1 );
    spacer4 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout1->addItem( spacer4, 6, 2 );

    module = new KLineEdit( this, "module" );
    module->setEnabled( FALSE );

    layout1->addMultiCellWidget( module, 2, 2, 1, 4 );

    moduleLabel = new TQLabel( this, "moduleLabel" );
    moduleLabel->setEnabled( FALSE );
    moduleLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, moduleLabel->sizePolicy().hasHeightForWidth() ) );

    layout1->addWidget( moduleLabel, 2, 0 );

    vendorLabel = new TQLabel( this, "vendorLabel" );
    vendorLabel->setEnabled( FALSE );
    vendorLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, vendorLabel->sizePolicy().hasHeightForWidth() ) );

    layout1->addWidget( vendorLabel, 3, 0 );

    releaseLabel = new TQLabel( this, "releaseLabel" );
    releaseLabel->setEnabled( FALSE );
    releaseLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, releaseLabel->sizePolicy().hasHeightForWidth() ) );

    layout1->addWidget( releaseLabel, 4, 0 );

    commentLabel = new TQLabel( this, "commentLabel" );
    commentLabel->setEnabled( FALSE );
    commentLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, commentLabel->sizePolicy().hasHeightForWidth() ) );

    layout1->addWidget( commentLabel, 5, 0 );

    repositoryLabel = new TQLabel( this, "repositoryLabel" );
    repositoryLabel->setEnabled( FALSE );
    repositoryLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, repositoryLabel->sizePolicy().hasHeightForWidth() ) );

    layout1->addWidget( repositoryLabel, 0, 0 );

    comment = new KLineEdit( this, "comment" );
    comment->setEnabled( FALSE );

    layout1->addMultiCellWidget( comment, 5, 5, 1, 4 );

    releaseTag = new KLineEdit( this, "releaseTag" );
    releaseTag->setEnabled( FALSE );

    layout1->addMultiCellWidget( releaseTag, 4, 4, 1, 4 );

    IntegratorDlgBaseLayout->addLayout( layout1, 1, 1 );
    spacer3 = new TQSpacerItem( 16, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    IntegratorDlgBaseLayout->addItem( spacer3, 1, 0 );
    languageChange();
    resize( TQSize(540, 212).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( init, TQ_SIGNAL( clicked() ), this, TQ_SLOT( init_clicked() ) );
    connect( login, TQ_SIGNAL( clicked() ), this, TQ_SLOT( login_clicked() ) );
    connect( createModule, TQ_SIGNAL( clicked() ), this, TQ_SLOT( createModule_clicked() ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), repositoryLabel, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), repository, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), login, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), init, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), moduleLabel, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), module, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), vendorLabel, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), vendorTag, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), releaseLabel, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), releaseTag, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), commentLabel, TQ_SLOT( setEnabled(bool) ) );
    connect( createModule, TQ_SIGNAL( toggled(bool) ), comment, TQ_SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( repository, module );
    setTabOrder( module, vendorTag );
    setTabOrder( vendorTag, releaseTag );
    setTabOrder( releaseTag, comment );
    setTabOrder( comment, login );
    setTabOrder( login, init );

    // buddies
    moduleLabel->setBuddy( module );
    vendorLabel->setBuddy( vendorTag );
    releaseLabel->setBuddy( releaseTag );
    commentLabel->setBuddy( comment );
    repositoryLabel->setBuddy( repository );
}

/*
 *  Destroys the object and frees any allocated resources
 */
IntegratorDlgBase::~IntegratorDlgBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void IntegratorDlgBase::languageChange()
{
    createModule->setText( tr2i18n( "Create module in the repository" ) );
    vendorTag->setText( tr2i18n( "vendor" ) );
    init->setText( tr2i18n( "&Init Local Repository..." ) );
    login->setText( tr2i18n( "Login to &Repository..." ) );
    moduleLabel->setText( tr2i18n( "Mo&dule:" ) );
    vendorLabel->setText( tr2i18n( "&Vendor tag:" ) );
    releaseLabel->setText( tr2i18n( "Re&lease tag:" ) );
    commentLabel->setText( tr2i18n( "Co&mment:" ) );
    repositoryLabel->setText( tr2i18n( "&Repository:" ) );
    comment->setText( tr2i18n( "First Import" ) );
    releaseTag->setText( tr2i18n( "start" ) );
}

void IntegratorDlgBase::init_clicked()
{
    tqWarning( "IntegratorDlgBase::init_clicked(): Not implemented yet" );
}

void IntegratorDlgBase::login_clicked()
{
    tqWarning( "IntegratorDlgBase::login_clicked(): Not implemented yet" );
}

void IntegratorDlgBase::createModule_clicked()
{
    tqWarning( "IntegratorDlgBase::createModule_clicked(): Not implemented yet" );
}

/****************************************************************************
** IntegratorDlgBase meta object code from reading C++ file 'integratordlgbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "integratordlgbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *IntegratorDlgBase::className() const
{
    return "IntegratorDlgBase";
}

TQMetaObject *IntegratorDlgBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_IntegratorDlgBase( "IntegratorDlgBase", &IntegratorDlgBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString IntegratorDlgBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "IntegratorDlgBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString IntegratorDlgBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "IntegratorDlgBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* IntegratorDlgBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"init_clicked", 0, 0 };
    static const TQUMethod slot_1 = {"login_clicked", 0, 0 };
    static const TQUMethod slot_2 = {"createModule_clicked", 0, 0 };
    static const TQUMethod slot_3 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "init_clicked()", &slot_0, TQMetaData::Public },
	{ "login_clicked()", &slot_1, TQMetaData::Public },
	{ "createModule_clicked()", &slot_2, TQMetaData::Public },
	{ "languageChange()", &slot_3, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"IntegratorDlgBase", parentObject,
	slot_tbl, 4,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_IntegratorDlgBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* IntegratorDlgBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "IntegratorDlgBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool IntegratorDlgBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init_clicked(); break;
    case 1: login_clicked(); break;
    case 2: createModule_clicked(); break;
    case 3: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool IntegratorDlgBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool IntegratorDlgBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool IntegratorDlgBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
